function [smiData] = initializeSmiData()
    %% Initialize the structure
    smiData = struct();

    %% Rigid Transform
    smiData.RigidTransform = struct;
    smiData.RigidTransform(1).translation = [-111.5 136.12 65];
    smiData.RigidTransform(1).angle = 0;
    smiData.RigidTransform(1).axis = [0 0 0];
    smiData.RigidTransform(1).ID = 'B[Moteur_Translation_Attache-1:-:Moteur_Translation_Plateau-1]';
    smiData.RigidTransform(2).translation = [-111.5 -72.1 -40.570049623856974];
    smiData.RigidTransform(2).angle = 0;
    smiData.RigidTransform(2).axis = [0 -0.95426033026921064 -0.29897695910303346];
    smiData.RigidTransform(2).ID = 'F[Moteur_Translation_Attache-1:-:Moteur_Translation_Plateau-1]';
    smiData.RigidTransform(3).translation = [105 15 -365.9];
    smiData.RigidTransform(3).angle = 2.0943951023931953;
    smiData.RigidTransform(3).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(3).ID = 'B[Attache_Granite-1:-:Moteur_Translation_Attache-1]';
    smiData.RigidTransform(4).translation = [-105 0 -65];
    smiData.RigidTransform(4).angle = 2.0943951023931957;
    smiData.RigidTransform(4).axis = [-0.57735026918962584 0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(4).ID = 'F[Attache_Granite-1:-:Moteur_Translation_Attache-1]';
    smiData.RigidTransform(5).translation = [-9 141.71450172794601 21];
    smiData.RigidTransform(5).angle = 0;
    smiData.RigidTransform(5).axis = [0 0 0];
    smiData.RigidTransform(5).ID = 'B[Base_Nano_Support-1:-:BrasBas_Nano-1]';
    smiData.RigidTransform(6).translation = [0 0 100];
    smiData.RigidTransform(6).angle = 0;
    smiData.RigidTransform(6).axis = [0 0 0];
    smiData.RigidTransform(6).ID = 'F[Base_Nano_Support-1:-:BrasBas_Nano-1]';
    smiData.RigidTransform(7).translation = [9 141.714501727946 21];
    smiData.RigidTransform(7).angle = 0;
    smiData.RigidTransform(7).axis = [0 0 0];
    smiData.RigidTransform(7).ID = 'B[Base_Nano_Support-1:-:BrasBas_Nano-2]';
    smiData.RigidTransform(8).translation = [0 0 100];
    smiData.RigidTransform(8).angle = 0;
    smiData.RigidTransform(8).axis = [0 0 0];
    smiData.RigidTransform(8).ID = 'F[Base_Nano_Support-1:-:BrasBas_Nano-2]';
    smiData.RigidTransform(9).translation = [127.22634697029426 -63.067080450852465 21];
    smiData.RigidTransform(9).angle = 0;
    smiData.RigidTransform(9).axis = [0 0 0];
    smiData.RigidTransform(9).ID = 'B[Base_Nano_Support-1:-:BrasBas_Nano-3]';
    smiData.RigidTransform(10).translation = [0 0 100];
    smiData.RigidTransform(10).angle = 0;
    smiData.RigidTransform(10).axis = [0 0 0];
    smiData.RigidTransform(10).ID = 'F[Base_Nano_Support-1:-:BrasBas_Nano-3]';
    smiData.RigidTransform(11).translation = [118.23086729810117 -78.647708281543558 21];
    smiData.RigidTransform(11).angle = 0;
    smiData.RigidTransform(11).axis = [0 0 0];
    smiData.RigidTransform(11).ID = 'B[Base_Nano_Support-1:-:BrasBas_Nano-4]';
    smiData.RigidTransform(12).translation = [0 0 100];
    smiData.RigidTransform(12).angle = 0;
    smiData.RigidTransform(12).axis = [0 0 0];
    smiData.RigidTransform(12).ID = 'F[Base_Nano_Support-1:-:BrasBas_Nano-4]';
    smiData.RigidTransform(13).translation = [-118.23086729810151 -78.6477082815431 21];
    smiData.RigidTransform(13).angle = 0;
    smiData.RigidTransform(13).axis = [0 0 0];
    smiData.RigidTransform(13).ID = 'B[Base_Nano_Support-1:-:BrasBas_Nano-5]';
    smiData.RigidTransform(14).translation = [0 0 100];
    smiData.RigidTransform(14).angle = 0;
    smiData.RigidTransform(14).axis = [0 0 0];
    smiData.RigidTransform(14).ID = 'F[Base_Nano_Support-1:-:BrasBas_Nano-5]';
    smiData.RigidTransform(15).translation = [-127.22634697029417 -63.067080450852444 21];
    smiData.RigidTransform(15).angle = 0;
    smiData.RigidTransform(15).axis = [0 0 0];
    smiData.RigidTransform(15).ID = 'B[Base_Nano_Support-1:-:BrasBas_Nano-6]';
    smiData.RigidTransform(16).translation = [0 0 100];
    smiData.RigidTransform(16).angle = 0;
    smiData.RigidTransform(16).axis = [0 0 0];
    smiData.RigidTransform(16).ID = 'F[Base_Nano_Support-1:-:BrasBas_Nano-6]';
    smiData.RigidTransform(17).translation = [0 0 0];
    smiData.RigidTransform(17).angle = 2.0943951023931953;
    smiData.RigidTransform(17).axis = [0.57735026918962584 -0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(17).ID = 'B[Correcteur_Axe-1:-:Base_Nano_Support-1]';
    smiData.RigidTransform(18).translation = [0 0 0];
    smiData.RigidTransform(18).angle = 3.1415926535897931;
    smiData.RigidTransform(18).axis = [-1 0 0];
    smiData.RigidTransform(18).ID = 'F[Correcteur_Axe-1:-:Base_Nano_Support-1]';
    smiData.RigidTransform(19).translation = [0 0 10];
    smiData.RigidTransform(19).angle = 3.1415926535897931;
    smiData.RigidTransform(19).axis = [1 0 0];
    smiData.RigidTransform(19).ID = 'B[Base_Nano_Support-1:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(20).translation = [0 0 -70];
    smiData.RigidTransform(20).angle = 3.1415926535897931;
    smiData.RigidTransform(20).axis = [-1 0 0];
    smiData.RigidTransform(20).ID = 'F[Base_Nano_Support-1:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(21).translation = [0 0 490];
    smiData.RigidTransform(21).angle = 3.1415926535897931;
    smiData.RigidTransform(21).axis = [1 0 0];
    smiData.RigidTransform(21).ID = 'B[Guide_Translation_Attache_Granite-1:-:Guide_Translation1-1]';
    smiData.RigidTransform(22).translation = [0 0 -798.4700496238562];
    smiData.RigidTransform(22).angle = 0;
    smiData.RigidTransform(22).axis = [0 0 0];
    smiData.RigidTransform(22).ID = 'F[Guide_Translation_Attache_Granite-1:-:Guide_Translation1-1]';
    smiData.RigidTransform(23).translation = [0 0 490];
    smiData.RigidTransform(23).angle = 3.1415926535897931;
    smiData.RigidTransform(23).axis = [1 0 0];
    smiData.RigidTransform(23).ID = 'B[Guide_Translation_Attache_Granite-2:-:Guide_Translation2-1]';
    smiData.RigidTransform(24).translation = [0 0 -181.52995037614699];
    smiData.RigidTransform(24).angle = 0;
    smiData.RigidTransform(24).axis = [0 0 0];
    smiData.RigidTransform(24).ID = 'F[Guide_Translation_Attache_Granite-2:-:Guide_Translation2-1]';
    smiData.RigidTransform(25).translation = [0 -62.803086256386976 -284.06285203293061];
    smiData.RigidTransform(25).angle = 0.53362460216801688;
    smiData.RigidTransform(25).axis = [0 1 0];
    smiData.RigidTransform(25).ID = 'B[Correcteur_Axe-1:-:Bati_Correcteur_Axe_Capteurs2-1]';
    smiData.RigidTransform(26).translation = [-43.811705316440936 25.826913743612817 -23.032682013210675];
    smiData.RigidTransform(26).angle = 2.7686982945666694;
    smiData.RigidTransform(26).axis = [0 -1 0];
    smiData.RigidTransform(26).ID = 'F[Correcteur_Axe-1:-:Bati_Correcteur_Axe_Capteurs2-1]';
    smiData.RigidTransform(27).translation = [-293.5 -50 0];
    smiData.RigidTransform(27).angle = 2.0943951023931953;
    smiData.RigidTransform(27).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(27).ID = 'B[Correcteur_Axe-1:-:Axe_Correcteur_Axe-1]';
    smiData.RigidTransform(28).translation = [321.24337026438019 263.23185479049448 18.5];
    smiData.RigidTransform(28).angle = 0;
    smiData.RigidTransform(28).axis = [-0.18690204536159183 0.982378555058921 0];
    smiData.RigidTransform(28).ID = 'F[Correcteur_Axe-1:-:Axe_Correcteur_Axe-1]';
    smiData.RigidTransform(29).translation = [-293.5 -50 0];
    smiData.RigidTransform(29).angle = 2.0943951023931953;
    smiData.RigidTransform(29).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(29).ID = 'B[Correcteur_Axe-1:-:Axe_Correcteur_Axe-2]';
    smiData.RigidTransform(30).translation = [458.42542432867617 -372.86043247189741 18.5];
    smiData.RigidTransform(30).angle = 0;
    smiData.RigidTransform(30).axis = [0.989598362765466 0.14385784793298234 0];
    smiData.RigidTransform(30).ID = 'F[Correcteur_Axe-1:-:Axe_Correcteur_Axe-2]';
    smiData.RigidTransform(31).translation = [-164.38596921309309 -61.461395411038474 53];
    smiData.RigidTransform(31).angle = 0;
    smiData.RigidTransform(31).axis = [0 0 0];
    smiData.RigidTransform(31).ID = 'B[Base_Micro_Support-1:-:BrasBas_Micro-1]';
    smiData.RigidTransform(32).translation = [0 0 0];
    smiData.RigidTransform(32).angle = 0;
    smiData.RigidTransform(32).axis = [0 0 0];
    smiData.RigidTransform(32).ID = 'F[Base_Micro_Support-1:-:BrasBas_Micro-1]';
    smiData.RigidTransform(33).translation = [0 0 200];
    smiData.RigidTransform(33).angle = 3.1415926535897931;
    smiData.RigidTransform(33).axis = [-1 -0 -0];
    smiData.RigidTransform(33).ID = 'B[BrasBas_Micro-1:-:BrasHaut_Micro-1]';
    smiData.RigidTransform(34).translation = [0 0 67.957523470562734];
    smiData.RigidTransform(34).angle = 0;
    smiData.RigidTransform(34).axis = [-0.76440555686880851 -0.64473571688567621 0];
    smiData.RigidTransform(34).ID = 'F[BrasBas_Micro-1:-:BrasHaut_Micro-1]';
    smiData.RigidTransform(35).translation = [-135.42011438454506 -111.63172765874725 53];
    smiData.RigidTransform(35).angle = 0;
    smiData.RigidTransform(35).axis = [0 0 0];
    smiData.RigidTransform(35).ID = 'B[Base_Micro_Support-1:-:BrasBas_Micro-2]';
    smiData.RigidTransform(36).translation = [0 0 0];
    smiData.RigidTransform(36).angle = 0;
    smiData.RigidTransform(36).axis = [0 0 0];
    smiData.RigidTransform(36).ID = 'F[Base_Micro_Support-1:-:BrasBas_Micro-2]';
    smiData.RigidTransform(37).translation = [0 0 200];
    smiData.RigidTransform(37).angle = 3.1415926535897931;
    smiData.RigidTransform(37).axis = [1 0 0];
    smiData.RigidTransform(37).ID = 'B[BrasBas_Micro-2:-:BrasHaut_Micro-2]';
    smiData.RigidTransform(38).translation = [0 0 67.957523470565476];
    smiData.RigidTransform(38).angle = 0;
    smiData.RigidTransform(38).axis = [0.17837316671221176 -0.983962912612593 0];
    smiData.RigidTransform(38).ID = 'F[BrasBas_Micro-2:-:BrasHaut_Micro-2]';
    smiData.RigidTransform(39).translation = [135.4201143845448 -111.63172765874775 53];
    smiData.RigidTransform(39).angle = 0;
    smiData.RigidTransform(39).axis = [0 0 0];
    smiData.RigidTransform(39).ID = 'B[Base_Micro_Support-1:-:BrasBas_Micro-3]';
    smiData.RigidTransform(40).translation = [0 0 0];
    smiData.RigidTransform(40).angle = 0;
    smiData.RigidTransform(40).axis = [0 0 0];
    smiData.RigidTransform(40).ID = 'F[Base_Micro_Support-1:-:BrasBas_Micro-3]';
    smiData.RigidTransform(41).translation = [0 0 200];
    smiData.RigidTransform(41).angle = 3.1415926535897931;
    smiData.RigidTransform(41).axis = [1 0 0];
    smiData.RigidTransform(41).ID = 'B[BrasBas_Micro-3:-:BrasHaut_Micro-3]';
    smiData.RigidTransform(42).translation = [0 0 67.9575234705649];
    smiData.RigidTransform(42).angle = 0;
    smiData.RigidTransform(42).axis = [0.77989301172705972 0.62591284557779814 0];
    smiData.RigidTransform(42).ID = 'F[BrasBas_Micro-3:-:BrasHaut_Micro-3]';
    smiData.RigidTransform(43).translation = [164.38596921309357 -61.4613954110373 53];
    smiData.RigidTransform(43).angle = 0;
    smiData.RigidTransform(43).axis = [0 0 0];
    smiData.RigidTransform(43).ID = 'B[Base_Micro_Support-1:-:BrasBas_Micro-4]';
    smiData.RigidTransform(44).translation = [0 0 0];
    smiData.RigidTransform(44).angle = 0;
    smiData.RigidTransform(44).axis = [0 0 0];
    smiData.RigidTransform(44).ID = 'F[Base_Micro_Support-1:-:BrasBas_Micro-4]';
    smiData.RigidTransform(45).translation = [0 0 200];
    smiData.RigidTransform(45).angle = 3.1415926535897931;
    smiData.RigidTransform(45).axis = [-1 0 0];
    smiData.RigidTransform(45).ID = 'B[BrasBas_Micro-4:-:BrasHaut_Micro-4]';
    smiData.RigidTransform(46).translation = [0 0 67.9575234705665];
    smiData.RigidTransform(46).angle = 0;
    smiData.RigidTransform(46).axis = [0.14960570985695723 0.98874573656638143 0];
    smiData.RigidTransform(46).ID = 'F[BrasBas_Micro-4:-:BrasHaut_Micro-4]';
    smiData.RigidTransform(47).translation = [28.965854828548959 173.093123069784 53];
    smiData.RigidTransform(47).angle = 0;
    smiData.RigidTransform(47).axis = [0 0 0];
    smiData.RigidTransform(47).ID = 'B[Base_Micro_Support-1:-:BrasBas_Micro-5]';
    smiData.RigidTransform(48).translation = [0 0 0];
    smiData.RigidTransform(48).angle = 0;
    smiData.RigidTransform(48).axis = [0 0 0];
    smiData.RigidTransform(48).ID = 'F[Base_Micro_Support-1:-:BrasBas_Micro-5]';
    smiData.RigidTransform(49).translation = [0 0 200];
    smiData.RigidTransform(49).angle = 3.1415926535897931;
    smiData.RigidTransform(49).axis = [1 0 0];
    smiData.RigidTransform(49).ID = 'B[BrasBas_Micro-5:-:BrasHaut_Micro-5]';
    smiData.RigidTransform(50).translation = [0 0 67.9575234705647];
    smiData.RigidTransform(50).angle = 0;
    smiData.RigidTransform(50).axis = [0.96403453407400408 -0.2657770063657085 0];
    smiData.RigidTransform(50).ID = 'F[BrasBas_Micro-5:-:BrasHaut_Micro-5]';
    smiData.RigidTransform(51).translation = [-28.965854828547805 173.0931230697843 53];
    smiData.RigidTransform(51).angle = 0;
    smiData.RigidTransform(51).axis = [0 0 0];
    smiData.RigidTransform(51).ID = 'B[Base_Micro_Support-1:-:BrasBas_Micro-6]';
    smiData.RigidTransform(52).translation = [0 0 0];
    smiData.RigidTransform(52).angle = 0;
    smiData.RigidTransform(52).axis = [0 0 0];
    smiData.RigidTransform(52).ID = 'F[Base_Micro_Support-1:-:BrasBas_Micro-6]';
    smiData.RigidTransform(53).translation = [0 0 200];
    smiData.RigidTransform(53).angle = 3.1415926535897931;
    smiData.RigidTransform(53).axis = [1 0 0];
    smiData.RigidTransform(53).ID = 'B[BrasBas_Micro-6:-:BrasHaut_Micro-6]';
    smiData.RigidTransform(54).translation = [0 0 67.957523470565292];
    smiData.RigidTransform(54).angle = 0;
    smiData.RigidTransform(54).axis = [0.93832687633173806 -0.34574943695329913 0];
    smiData.RigidTransform(54).ID = 'F[BrasBas_Micro-6:-:BrasHaut_Micro-6]';
    smiData.RigidTransform(55).translation = [0 0 490];
    smiData.RigidTransform(55).angle = 3.1415926535897931;
    smiData.RigidTransform(55).axis = [1 0 0];
    smiData.RigidTransform(55).ID = 'B[Guide_Translation_Attache_Granite-2:-:Guide_Translation12-1]';
    smiData.RigidTransform(56).translation = [0 0 -786.5299503761471];
    smiData.RigidTransform(56).angle = 0;
    smiData.RigidTransform(56).axis = [0 0 0];
    smiData.RigidTransform(56).ID = 'F[Guide_Translation_Attache_Granite-2:-:Guide_Translation12-1]';
    smiData.RigidTransform(57).translation = [0 0 490];
    smiData.RigidTransform(57).angle = 3.1415926535897931;
    smiData.RigidTransform(57).axis = [1 0 0];
    smiData.RigidTransform(57).ID = 'B[Guide_Translation_Attache_Granite-1:-:Guide_Translation22-1]';
    smiData.RigidTransform(58).translation = [0 0 -193.47004962385614];
    smiData.RigidTransform(58).angle = 0;
    smiData.RigidTransform(58).axis = [-0 -1 0];
    smiData.RigidTransform(58).ID = 'F[Guide_Translation_Attache_Granite-1:-:Guide_Translation22-1]';
    smiData.RigidTransform(59).translation = [113 0 0];
    smiData.RigidTransform(59).angle = 2.0943951023931953;
    smiData.RigidTransform(59).axis = [0.57735026918962584 0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(59).ID = 'B[Axe_Spindle-1:-:Base_Micro_Support-1]';
    smiData.RigidTransform(60).translation = [0 0 0];
    smiData.RigidTransform(60).angle = 0;
    smiData.RigidTransform(60).axis = [-0.97950718399858827 -0.2014092264399911 0];
    smiData.RigidTransform(60).ID = 'F[Axe_Spindle-1:-:Base_Micro_Support-1]';
    smiData.RigidTransform(61).translation = [146.02 0 0];
    smiData.RigidTransform(61).angle = 2.0943951023931953;
    smiData.RigidTransform(61).axis = [0.57735026918962584 0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(61).ID = 'B[Bati_Spindle-1:-:Base_Micro_Support-1]';
    smiData.RigidTransform(62).translation = [0 0 33.2];
    smiData.RigidTransform(62).angle = 0;
    smiData.RigidTransform(62).axis = [-0.56620031463552334 0.82426767721816829 0];
    smiData.RigidTransform(62).ID = 'F[Bati_Spindle-1:-:Base_Micro_Support-1]';
    smiData.RigidTransform(63).translation = [0 -5 600];
    smiData.RigidTransform(63).angle = 2.0943951023931953;
    smiData.RigidTransform(63).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(63).ID = 'B[Guide_Tilt-1:-:Plateau_Tilt-1]';
    smiData.RigidTransform(64).translation = [-313.5 0 0];
    smiData.RigidTransform(64).angle = 2.0943951023931966;
    smiData.RigidTransform(64).axis = [-0.57735026918962584 -0.57735026918962606 0.57735026918962529];
    smiData.RigidTransform(64).ID = 'F[Guide_Tilt-1:-:Plateau_Tilt-1]';
    smiData.RigidTransform(65).translation = [0 -5 600];
    smiData.RigidTransform(65).angle = 2.0943951023931953;
    smiData.RigidTransform(65).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(65).ID = 'B[Guide_Tilt-2:-:Plateau_Tilt-1]';
    smiData.RigidTransform(66).translation = [-313.5 0 0];
    smiData.RigidTransform(66).angle = 2.0943951023931962;
    smiData.RigidTransform(66).axis = [-0.577350269189626 -0.57735026918962606 0.5773502691896254];
    smiData.RigidTransform(66).ID = 'F[Guide_Tilt-2:-:Plateau_Tilt-1]';
    smiData.RigidTransform(67).translation = [0 -5 600];
    smiData.RigidTransform(67).angle = 2.0943951023931953;
    smiData.RigidTransform(67).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(67).ID = 'B[Guide_Tilt-3:-:Plateau_Tilt-1]';
    smiData.RigidTransform(68).translation = [313.5 0 0];
    smiData.RigidTransform(68).angle = 2.0943951023931948;
    smiData.RigidTransform(68).axis = [0.57735026918962551 0.57735026918962562 0.57735026918962629];
    smiData.RigidTransform(68).ID = 'F[Guide_Tilt-3:-:Plateau_Tilt-1]';
    smiData.RigidTransform(69).translation = [0 -5 600];
    smiData.RigidTransform(69).angle = 2.0943951023931953;
    smiData.RigidTransform(69).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(69).ID = 'B[Guide_Tilt-4:-:Plateau_Tilt-1]';
    smiData.RigidTransform(70).translation = [313.5 0 0];
    smiData.RigidTransform(70).angle = 2.0943951023931948;
    smiData.RigidTransform(70).axis = [0.57735026918962551 0.57735026918962562 0.57735026918962629];
    smiData.RigidTransform(70).ID = 'F[Guide_Tilt-4:-:Plateau_Tilt-1]';
    smiData.RigidTransform(71).translation = [146.02 0 0];
    smiData.RigidTransform(71).angle = 2.0943951023931953;
    smiData.RigidTransform(71).axis = [0.57735026918962584 0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(71).ID = 'B[Bati_Spindle-1:-:Axe_Spindle-1]';
    smiData.RigidTransform(72).translation = [146.2 0 0];
    smiData.RigidTransform(72).angle = 2.0943951023931957;
    smiData.RigidTransform(72).axis = [0.57735026918962573 0.57735026918962584 0.57735026918962573];
    smiData.RigidTransform(72).ID = 'F[Bati_Spindle-1:-:Axe_Spindle-1]';
    smiData.RigidTransform(73).translation = [0 0 0];
    smiData.RigidTransform(73).angle = 2.0943951023931953;
    smiData.RigidTransform(73).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(73).ID = 'B[Nacelle_Micro_Support-1:-:Base_Nano_Support-1]';
    smiData.RigidTransform(74).translation = [0 0 -5];
    smiData.RigidTransform(74).angle = 1.6378338249998241;
    smiData.RigidTransform(74).axis = [0.25056280708573386 0.93511312653102818 -0.25056280708573364];
    smiData.RigidTransform(74).ID = 'F[Nacelle_Micro_Support-1:-:Base_Nano_Support-1]';
    smiData.RigidTransform(75).translation = [0 0 26];
    smiData.RigidTransform(75).angle = 3.1415926535897931;
    smiData.RigidTransform(75).axis = [1 0 0];
    smiData.RigidTransform(75).ID = 'B[Nacelle_Micro_Support-1:-:Correcteur_Axe-1]';
    smiData.RigidTransform(76).translation = [0 -31 0];
    smiData.RigidTransform(76).angle = 2.0943951023931957;
    smiData.RigidTransform(76).axis = [-0.57735026918962573 -0.57735026918962573 -0.57735026918962562];
    smiData.RigidTransform(76).ID = 'F[Nacelle_Micro_Support-1:-:Correcteur_Axe-1]';
    smiData.RigidTransform(77).translation = [0 0 26];
    smiData.RigidTransform(77).angle = 3.1415926535897931;
    smiData.RigidTransform(77).axis = [1 0 0];
    smiData.RigidTransform(77).ID = 'B[Base_Micro_Support-1:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(78).translation = [0 0 324];
    smiData.RigidTransform(78).angle = 2.094395102393193;
    smiData.RigidTransform(78).axis = [0 0 1];
    smiData.RigidTransform(78).ID = 'F[Base_Micro_Support-1:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(79).translation = [0 0 0];
    smiData.RigidTransform(79).angle = 0;
    smiData.RigidTransform(79).axis = [0 0 0];
    smiData.RigidTransform(79).ID = 'B[BrasHaut_Micro-1:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(80).translation = [87.553149235122973 -79.110341037139037 53];
    smiData.RigidTransform(80).angle = 0;
    smiData.RigidTransform(80).axis = [0 0 0];
    smiData.RigidTransform(80).ID = 'F[BrasHaut_Micro-1:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(81).translation = [0 0 0];
    smiData.RigidTransform(81).angle = 0;
    smiData.RigidTransform(81).axis = [0 0 0];
    smiData.RigidTransform(81).ID = 'B[BrasHaut_Micro-2:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(82).translation = [-87.5531492351257 -79.110341037138483 53];
    smiData.RigidTransform(82).angle = 0;
    smiData.RigidTransform(82).axis = [0 0 0];
    smiData.RigidTransform(82).ID = 'F[BrasHaut_Micro-2:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(83).translation = [0 0 0];
    smiData.RigidTransform(83).angle = 0;
    smiData.RigidTransform(83).axis = [0 0 0];
    smiData.RigidTransform(83).ID = 'B[BrasHaut_Micro-3:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(84).translation = [-112.2881396577738 -36.268080900376873 53];
    smiData.RigidTransform(84).angle = 0;
    smiData.RigidTransform(84).axis = [0 0 0];
    smiData.RigidTransform(84).ID = 'F[BrasHaut_Micro-3:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(85).translation = [0 0 0];
    smiData.RigidTransform(85).angle = 0;
    smiData.RigidTransform(85).axis = [0 0 0];
    smiData.RigidTransform(85).ID = 'B[BrasHaut_Micro-4:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(86).translation = [-24.734990422651151 115.37842193751698 53];
    smiData.RigidTransform(86).angle = 0;
    smiData.RigidTransform(86).axis = [0 0 0];
    smiData.RigidTransform(86).ID = 'F[BrasHaut_Micro-4:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(87).translation = [0 0 0];
    smiData.RigidTransform(87).angle = 0;
    smiData.RigidTransform(87).axis = [0 0 0];
    smiData.RigidTransform(87).ID = 'B[BrasHaut_Micro-5:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(88).translation = [24.734990422650917 115.37842193751322 53];
    smiData.RigidTransform(88).angle = 0;
    smiData.RigidTransform(88).axis = [0 0 0];
    smiData.RigidTransform(88).ID = 'F[BrasHaut_Micro-5:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(89).translation = [0 0 0];
    smiData.RigidTransform(89).angle = 0;
    smiData.RigidTransform(89).axis = [0 0 0];
    smiData.RigidTransform(89).ID = 'B[BrasHaut_Micro-6:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(90).translation = [112.28813965777354 -36.268080900377612 53];
    smiData.RigidTransform(90).angle = 0;
    smiData.RigidTransform(90).axis = [0 0 0];
    smiData.RigidTransform(90).ID = 'F[BrasHaut_Micro-6:-:Nacelle_Micro_Support-1]';
    smiData.RigidTransform(91).translation = [0 0 0];
    smiData.RigidTransform(91).angle = 0;
    smiData.RigidTransform(91).axis = [0 0 0];
    smiData.RigidTransform(91).ID = 'B[Attache_Granite-1:-:]';
    smiData.RigidTransform(92).translation = [0 0 0];
    smiData.RigidTransform(92).angle = 0;
    smiData.RigidTransform(92).axis = [0 0 0];
    smiData.RigidTransform(92).ID = 'F[Attache_Granite-1:-:]';
    smiData.RigidTransform(93).translation = [496 15 525];
    smiData.RigidTransform(93).angle = 2.0943951023931953;
    smiData.RigidTransform(93).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(93).ID = 'B[Attache_Granite-1:-:Guide_Translation_Attache_Granite-1]';
    smiData.RigidTransform(94).translation = [61 -100 475];
    smiData.RigidTransform(94).angle = 2.0943951023931953;
    smiData.RigidTransform(94).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(94).ID = 'F[Attache_Granite-1:-:Guide_Translation_Attache_Granite-1]';
    smiData.RigidTransform(95).translation = [-344 15 525];
    smiData.RigidTransform(95).angle = 2.0943951023931953;
    smiData.RigidTransform(95).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(95).ID = 'B[Attache_Granite-1:-:Guide_Translation_Attache_Granite-2]';
    smiData.RigidTransform(96).translation = [-91 -100 -475];
    smiData.RigidTransform(96).angle = 2.0943951023931953;
    smiData.RigidTransform(96).axis = [-0.57735026918962584 0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(96).ID = 'F[Attache_Granite-1:-:Guide_Translation_Attache_Granite-2]';
    smiData.RigidTransform(97).translation = [146.02 0 0];
    smiData.RigidTransform(97).angle = 2.0943951023931953;
    smiData.RigidTransform(97).axis = [0.57735026918962584 0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(97).ID = 'B[Bati_Spindle-1:-:Moteur_Spindle-1]';
    smiData.RigidTransform(98).translation = [0 178.02 0];
    smiData.RigidTransform(98).angle = 2.6381355635463279;
    smiData.RigidTransform(98).axis = [-0.25718398137297871 -0.68332144695053421 -0.683321446950534];
    smiData.RigidTransform(98).ID = 'F[Bati_Spindle-1:-:Moteur_Spindle-1]';
    smiData.RigidTransform(99).translation = [0 20.5 39.5];
    smiData.RigidTransform(99).angle = 2.0943951023931953;
    smiData.RigidTransform(99).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(99).ID = 'B[Bati_Correcteur_Axe_Capteurs2-1:-:Axe_Correcteur_Axe-1]';
    smiData.RigidTransform(100).translation = [0 0 0.37];
    smiData.RigidTransform(100).angle = 0;
    smiData.RigidTransform(100).axis = [0.3663919258296145 0.93046061533353808 0];
    smiData.RigidTransform(100).ID = 'F[Bati_Correcteur_Axe_Capteurs2-1:-:Axe_Correcteur_Axe-1]';
    smiData.RigidTransform(101).translation = [0 -611.25 0];
    smiData.RigidTransform(101).angle = 2.0943951023931953;
    smiData.RigidTransform(101).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(101).ID = 'B[Plateau_Tilt-1:-:Bati_Spindle-1]';
    smiData.RigidTransform(102).translation = [121.02 0 0];
    smiData.RigidTransform(102).angle = 2.0943951023931953;
    smiData.RigidTransform(102).axis = [0.57735026918962584 0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(102).ID = 'F[Plateau_Tilt-1:-:Bati_Spindle-1]';
    smiData.RigidTransform(103).translation = [0 0 -87];
    smiData.RigidTransform(103).angle = 0;
    smiData.RigidTransform(103).axis = [0 0 0];
    smiData.RigidTransform(103).ID = 'B[Moteur_Tilt_Axe-1:-:Moteur_Tilt_Bati-1]';
    smiData.RigidTransform(104).translation = [0 0 -19.5];
    smiData.RigidTransform(104).angle = 3.1415926535897922;
    smiData.RigidTransform(104).axis = [-1 0 0];
    smiData.RigidTransform(104).ID = 'F[Moteur_Tilt_Axe-1:-:Moteur_Tilt_Bati-1]';
    smiData.RigidTransform(105).translation = [0 -62.196913743612967 -327.93714796707076];
    smiData.RigidTransform(105).angle = 0.53362460216801688;
    smiData.RigidTransform(105).axis = [0 1 0];
    smiData.RigidTransform(105).ID = 'B[Correcteur_Axe-1:-:HEPCO_RSJ34DE-1]';
    smiData.RigidTransform(106).translation = [72.333169150433932 -8.9330862563868756 60.230144198320843];
    smiData.RigidTransform(106).angle = 3.1415926535897931;
    smiData.RigidTransform(106).axis = [-0.82720177059992506 0 -0.56190500150501332];
    smiData.RigidTransform(106).ID = 'F[Correcteur_Axe-1:-:HEPCO_RSJ34DE-1]';
    smiData.RigidTransform(107).translation = [45 15 34.75];
    smiData.RigidTransform(107).angle = 2.0943951023931953;
    smiData.RigidTransform(107).axis = [0.57735026918962584 -0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(107).ID = 'B[Bati_Correcteur_Axe_Capteurs2-1:-:HEPCO_RSJ34DE-1]';
    smiData.RigidTransform(108).translation = [-3.6 2.5 0];
    smiData.RigidTransform(108).angle = 2.0943951023931953;
    smiData.RigidTransform(108).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(108).ID = 'F[Bati_Correcteur_Axe_Capteurs2-1:-:HEPCO_RSJ34DE-1]';
    smiData.RigidTransform(109).translation = [0 -62.196913743612967 -327.93714796707076];
    smiData.RigidTransform(109).angle = 0.53362460216801688;
    smiData.RigidTransform(109).axis = [0 1 0];
    smiData.RigidTransform(109).ID = 'B[Correcteur_Axe-1:-:HEPCO_RSJ34DE-2]';
    smiData.RigidTransform(110).translation = [-10.901757790904249 -8.9330862563869111 13.791499958258392];
    smiData.RigidTransform(110).angle = 3.1415926535897931;
    smiData.RigidTransform(110).axis = [0.23610226881500818 0 -0.9717282123414992];
    smiData.RigidTransform(110).ID = 'F[Correcteur_Axe-1:-:HEPCO_RSJ34DE-2]';
    smiData.RigidTransform(111).translation = [-45 15 34.75];
    smiData.RigidTransform(111).angle = 2.0943951023931953;
    smiData.RigidTransform(111).axis = [0.57735026918962584 -0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(111).ID = 'B[Bati_Correcteur_Axe_Capteurs2-1:-:HEPCO_RSJ34DE-2]';
    smiData.RigidTransform(112).translation = [-3.6 2.5 0];
    smiData.RigidTransform(112).angle = 2.0943951023931957;
    smiData.RigidTransform(112).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962562];
    smiData.RigidTransform(112).ID = 'F[Bati_Correcteur_Axe_Capteurs2-1:-:HEPCO_RSJ34DE-2]';
    smiData.RigidTransform(113).translation = [0 -62.196913743612967 -327.93714796707076];
    smiData.RigidTransform(113).angle = 0.53362460216801688;
    smiData.RigidTransform(113).axis = [0 1 0];
    smiData.RigidTransform(113).ID = 'B[Correcteur_Axe-1:-:HEPCO_RSJ34DE-3]';
    smiData.RigidTransform(114).translation = [596.32707666485624 -9.67308625638682 -20.957863605734559];
    smiData.RigidTransform(114).angle = 3.1415926535897931;
    smiData.RigidTransform(114).axis = [0.71358095587998338 0 -0.7005727795207356];
    smiData.RigidTransform(114).ID = 'F[Correcteur_Axe-1:-:HEPCO_RSJ34DE-3]';
    smiData.RigidTransform(115).translation = [45 15 34.75];
    smiData.RigidTransform(115).angle = 2.0943951023931953;
    smiData.RigidTransform(115).axis = [0.57735026918962584 -0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(115).ID = 'B[Bati_Correcteur_Axe_SansCapteur2-1:-:HEPCO_RSJ34DE-3]';
    smiData.RigidTransform(116).translation = [-3.6 2.5 0];
    smiData.RigidTransform(116).angle = 2.0943951023931957;
    smiData.RigidTransform(116).axis = [-0.57735026918962584 -0.57735026918962573 -0.57735026918962573];
    smiData.RigidTransform(116).ID = 'F[Bati_Correcteur_Axe_SansCapteur2-1:-:HEPCO_RSJ34DE-3]';
    smiData.RigidTransform(117).translation = [0 -62.196913743612967 -327.93714796707076];
    smiData.RigidTransform(117).angle = 0.53362460216801688;
    smiData.RigidTransform(117).axis = [0 1 0];
    smiData.RigidTransform(117).ID = 'B[Correcteur_Axe-1:-:HEPCO_RSJ34DE-4]';
    smiData.RigidTransform(118).translation = [-313.7520140157153 -9.6730862563869167 547.524496446105];
    smiData.RigidTransform(118).angle = 3.1415926535897931;
    smiData.RigidTransform(118).axis = [0.93808708517252759 0 0.3463995101505068];
    smiData.RigidTransform(118).ID = 'F[Correcteur_Axe-1:-:HEPCO_RSJ34DE-4]';
    smiData.RigidTransform(119).translation = [-45 15 34.75];
    smiData.RigidTransform(119).angle = 2.0943951023931953;
    smiData.RigidTransform(119).axis = [0.57735026918962584 -0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(119).ID = 'B[Bati_Correcteur_Axe_SansCapteur2-1:-:HEPCO_RSJ34DE-4]';
    smiData.RigidTransform(120).translation = [-3.6 2.5 0];
    smiData.RigidTransform(120).angle = 2.0943951023931957;
    smiData.RigidTransform(120).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962562];
    smiData.RigidTransform(120).ID = 'F[Bati_Correcteur_Axe_SansCapteur2-1:-:HEPCO_RSJ34DE-4]';
    smiData.RigidTransform(121).translation = [0 -62.803086256386976 -284.06285203293061];
    smiData.RigidTransform(121).angle = 0.53362460216801688;
    smiData.RigidTransform(121).axis = [0 1 0];
    smiData.RigidTransform(121).ID = 'B[Correcteur_Axe-1:-:Bati_Correcteur_Axe_SansCapteur2-1]';
    smiData.RigidTransform(122).translation = [168.40463076583308 26.56691374361294 -513.27658497562118];
    smiData.RigidTransform(122).angle = 0.20426489504440995;
    smiData.RigidTransform(122).axis = [0 -1 0];
    smiData.RigidTransform(122).ID = 'F[Correcteur_Axe-1:-:Bati_Correcteur_Axe_SansCapteur2-1]';
    smiData.RigidTransform(123).translation = [0 20.5 39.5];
    smiData.RigidTransform(123).angle = 2.0943951023931953;
    smiData.RigidTransform(123).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(123).ID = 'B[Bati_Correcteur_Axe_SansCapteur2-1:-:Axe_Correcteur_Axe-2]';
    smiData.RigidTransform(124).translation = [0 0 -0.37];
    smiData.RigidTransform(124).angle = 0;
    smiData.RigidTransform(124).axis = [0.99729063179040955 0.07356218962949336 0];
    smiData.RigidTransform(124).ID = 'F[Bati_Correcteur_Axe_SansCapteur2-1:-:Axe_Correcteur_Axe-2]';
    smiData.RigidTransform(125).translation = [-13 104.22 110.5];
    smiData.RigidTransform(125).angle = 2.0943951023931953;
    smiData.RigidTransform(125).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(125).ID = 'B[Guide_Translation1-1:-:Plateau_Translation-1]';
    smiData.RigidTransform(126).translation = [-448 1 413];
    smiData.RigidTransform(126).angle = 2.0943951023931957;
    smiData.RigidTransform(126).axis = [-0.57735026918962562 -0.577350269189626 -0.577350269189626];
    smiData.RigidTransform(126).ID = 'F[Guide_Translation1-1:-:Plateau_Translation-1]';
    smiData.RigidTransform(127).translation = [-55 104.22 -110.5];
    smiData.RigidTransform(127).angle = 2.0943951023931953;
    smiData.RigidTransform(127).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(127).ID = 'B[Guide_Translation2-1:-:Plateau_Translation-1]';
    smiData.RigidTransform(128).translation = [490 1 413];
    smiData.RigidTransform(128).angle = 2.0943951023931953;
    smiData.RigidTransform(128).axis = [-0.57735026918962606 0.57735026918962551 0.57735026918962562];
    smiData.RigidTransform(128).ID = 'F[Guide_Translation2-1:-:Plateau_Translation-1]';
    smiData.RigidTransform(129).translation = [-55 104.22 110.5];
    smiData.RigidTransform(129).angle = 2.0943951023931953;
    smiData.RigidTransform(129).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(129).ID = 'B[Guide_Translation12-1:-:Plateau_Translation-1]';
    smiData.RigidTransform(130).translation = [490 1 -413];
    smiData.RigidTransform(130).angle = 2.0943951023931953;
    smiData.RigidTransform(130).axis = [-0.57735026918962606 0.57735026918962551 0.57735026918962562];
    smiData.RigidTransform(130).ID = 'F[Guide_Translation12-1:-:Plateau_Translation-1]';
    smiData.RigidTransform(131).translation = [-13 104.22 -110.5];
    smiData.RigidTransform(131).angle = 2.0943951023931953;
    smiData.RigidTransform(131).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(131).ID = 'B[Guide_Translation22-1:-:Plateau_Translation-1]';
    smiData.RigidTransform(132).translation = [-448 1 -413];
    smiData.RigidTransform(132).angle = 2.0943951023931948;
    smiData.RigidTransform(132).axis = [-0.57735026918962618 -0.57735026918962562 -0.57735026918962551];
    smiData.RigidTransform(132).ID = 'F[Guide_Translation22-1:-:Plateau_Translation-1]';
    smiData.RigidTransform(133).translation = [-382.48474072884216 66.583510192867536 -453];
    smiData.RigidTransform(133).angle = 3.1415926535897931;
    smiData.RigidTransform(133).axis = [1 0 0];
    smiData.RigidTransform(133).ID = 'B[Plateau_Translation-1:-:Guide_Tilt-1]';
    smiData.RigidTransform(134).translation = [-29 134.5 -41];
    smiData.RigidTransform(134).angle = 1.6563819867311662;
    smiData.RigidTransform(134).axis = [-0.91787842097906314 -0.28062359514212426 -0.28062359514212443];
    smiData.RigidTransform(134).ID = 'F[Plateau_Translation-1:-:Guide_Tilt-1]';
    smiData.RigidTransform(135).translation = [334.40056152064938 34.150321791564714 -453];
    smiData.RigidTransform(135).angle = 3.1415926535897931;
    smiData.RigidTransform(135).axis = [1 0 0];
    smiData.RigidTransform(135).ID = 'B[Plateau_Translation-1:-:Guide_Tilt-2]';
    smiData.RigidTransform(136).translation = [-29 134.5 -41];
    smiData.RigidTransform(136).angle = 1.6563819867311662;
    smiData.RigidTransform(136).axis = [-0.91787842097906314 0.28062359514212437 0.28062359514212409];
    smiData.RigidTransform(136).ID = 'F[Plateau_Translation-1:-:Guide_Tilt-2]';
    smiData.RigidTransform(137).translation = [288.5467434360487 102.13140274107855 353.54415587728431];
    smiData.RigidTransform(137).angle = 0;
    smiData.RigidTransform(137).axis = [0 0 0];
    smiData.RigidTransform(137).ID = 'B[Plateau_Translation-1:-:Guide_Tilt-3]';
    smiData.RigidTransform(138).translation = [29 35.044155877284282 41];
    smiData.RigidTransform(138).angle = 2.725113120528853;
    smiData.RigidTransform(138).axis = [-0.21130293228099567 0.69114074934468051 0.69114074934468051];
    smiData.RigidTransform(138).ID = 'F[Plateau_Translation-1:-:Guide_Tilt-3]';
    smiData.RigidTransform(139).translation = [29 91.597911607545825 41];
    smiData.RigidTransform(139).angle = 2.0943951023931953;
    smiData.RigidTransform(139).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(139).ID = 'B[Guide_Tilt-4:-:Plateau_Translation-1]';
    smiData.RigidTransform(140).translation = [-336.63092264424097 134.5645911423814 410.09791160754583];
    smiData.RigidTransform(140).angle = 0.97738438111683068;
    smiData.RigidTransform(140).axis = [0 0 1];
    smiData.RigidTransform(140).ID = 'F[Guide_Tilt-4:-:Plateau_Translation-1]';
    smiData.RigidTransform(141).translation = [265 0 438];
    smiData.RigidTransform(141).angle = 2.0943951023931957;
    smiData.RigidTransform(141).axis = [0.57735026918962584 -0.57735026918962573 0.57735026918962573];
    smiData.RigidTransform(141).ID = 'B[Plateau_Translation-1:-:Moteur_Translation_Plateau-1]';
    smiData.RigidTransform(142).translation = [265 -5 -142.5];
    smiData.RigidTransform(142).angle = 2.0943951023931957;
    smiData.RigidTransform(142).axis = [0.57735026918962584 -0.57735026918962573 0.57735026918962573];
    smiData.RigidTransform(142).ID = 'F[Plateau_Translation-1:-:Moteur_Translation_Plateau-1]';
    smiData.RigidTransform(143).translation = [20 122.36970769944681 -481];
    smiData.RigidTransform(143).angle = 2.0943951023931953;
    smiData.RigidTransform(143).axis = [-0.57735026918962562 -0.577350269189626 -0.57735026918962584];
    smiData.RigidTransform(143).ID = 'B[Plateau_Translation-1:-:Moteur_Tilt_Bati-1]';
    smiData.RigidTransform(144).translation = [-20 166.83970769944668 -42.5];
    smiData.RigidTransform(144).angle = 2.0943951023931957;
    smiData.RigidTransform(144).axis = [-0.57735026918962551 0.577350269189626 0.57735026918962573];
    smiData.RigidTransform(144).ID = 'F[Plateau_Translation-1:-:Moteur_Tilt_Bati-1]';
    smiData.RigidTransform(145).translation = [505 155 -387];
    smiData.RigidTransform(145).angle = 2.0943951023931953;
    smiData.RigidTransform(145).axis = [-0.57735026918962584 -0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(145).ID = 'B[Plateau_Translation-1:-:Plateau_Tilt-1]';
    smiData.RigidTransform(146).translation = [-387 -426.78 -505];
    smiData.RigidTransform(146).angle = 1.570796326794897;
    smiData.RigidTransform(146).axis = [-1 0 0];
    smiData.RigidTransform(146).ID = 'F[Plateau_Translation-1:-:Plateau_Tilt-1]';
    smiData.RigidTransform(147).translation = [0 0 0];
    smiData.RigidTransform(147).angle = 2.0943951023931953;
    smiData.RigidTransform(147).axis = [0.57735026918962584 -0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(147).ID = 'B[Attache_Granite-1:-:Granite-1]';
    smiData.RigidTransform(148).translation = [-1205 150 50];
    smiData.RigidTransform(148).angle = 2.0943951023931953;
    smiData.RigidTransform(148).axis = [0.57735026918962584 0.57735026918962584 -0.57735026918962584];
    smiData.RigidTransform(148).ID = 'F[Attache_Granite-1:-:Granite-1]';
    smiData.RigidTransform(149).translation = [0 0 10];
    smiData.RigidTransform(149).angle = 3.1415926535897931;
    smiData.RigidTransform(149).axis = [1 0 0];
    smiData.RigidTransform(149).ID = 'B[Nacelle_Nano_Support-1:-:Support_Sample-1]';
    smiData.RigidTransform(150).translation = [0 0 0];
    smiData.RigidTransform(150).angle = 2.0943951023931953;
    smiData.RigidTransform(150).axis = [0.57735026918962584 -0.57735026918962584 0.57735026918962584];
    smiData.RigidTransform(150).ID = 'F[Nacelle_Nano_Support-1:-:Support_Sample-1]';
    smiData.RigidTransform(151).translation = [0 0 100];
    smiData.RigidTransform(151).angle = 3.1415926535897931;
    smiData.RigidTransform(151).axis = [1 0 0];
    smiData.RigidTransform(151).ID = 'B[BrasBas_Nano-1:-:BrasHaut_Nano-1]';
    smiData.RigidTransform(152).translation = [0 0 -35.67904335713223];
    smiData.RigidTransform(152).angle = 0;
    smiData.RigidTransform(152).axis = [0.97557447028508482 0.21966896214070905 0];
    smiData.RigidTransform(152).ID = 'F[BrasBas_Nano-1:-:BrasHaut_Nano-1]';
    smiData.RigidTransform(153).translation = [0 0 100];
    smiData.RigidTransform(153).angle = 0;
    smiData.RigidTransform(153).axis = [0 0 0];
    smiData.RigidTransform(153).ID = 'B[BrasHaut_Nano-1:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(154).translation = [-118.23086729810564 78.647708281552809 -9];
    smiData.RigidTransform(154).angle = 0;
    smiData.RigidTransform(154).axis = [0 0 0];
    smiData.RigidTransform(154).ID = 'F[BrasHaut_Nano-1:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(155).translation = [0 0 100];
    smiData.RigidTransform(155).angle = 3.1415926535897931;
    smiData.RigidTransform(155).axis = [1 0 0];
    smiData.RigidTransform(155).ID = 'B[BrasBas_Nano-2:-:BrasHaut_Nano-2]';
    smiData.RigidTransform(156).translation = [0 0 -35.679043357134063];
    smiData.RigidTransform(156).angle = 0;
    smiData.RigidTransform(156).axis = [0.81561406722614171 -0.57859631293573821 0];
    smiData.RigidTransform(156).ID = 'F[BrasBas_Nano-2:-:BrasHaut_Nano-2]';
    smiData.RigidTransform(157).translation = [0 0 100];
    smiData.RigidTransform(157).angle = 0;
    smiData.RigidTransform(157).axis = [0 0 0];
    smiData.RigidTransform(157).ID = 'B[BrasHaut_Nano-2:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(158).translation = [118.23086729810234 78.647708281528509 -9];
    smiData.RigidTransform(158).angle = 0;
    smiData.RigidTransform(158).axis = [0 0 0];
    smiData.RigidTransform(158).ID = 'F[BrasHaut_Nano-2:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(159).translation = [0 0 100];
    smiData.RigidTransform(159).angle = 3.1415926535897931;
    smiData.RigidTransform(159).axis = [1 0 0];
    smiData.RigidTransform(159).ID = 'B[BrasBas_Nano-3:-:BrasHaut_Nano-3]';
    smiData.RigidTransform(160).translation = [0 0 -35.682815958309817];
    smiData.RigidTransform(160).angle = 0;
    smiData.RigidTransform(160).axis = [0.79882551150573378 0.60156279985351735 0];
    smiData.RigidTransform(160).ID = 'F[BrasBas_Nano-3:-:BrasHaut_Nano-3]';
    smiData.RigidTransform(161).translation = [0 0 100];
    smiData.RigidTransform(161).angle = 0;
    smiData.RigidTransform(161).axis = [0 0 0];
    smiData.RigidTransform(161).ID = 'B[BrasHaut_Nano-3:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(162).translation = [127.22634697030583 63.067080450851307 -9];
    smiData.RigidTransform(162).angle = 0;
    smiData.RigidTransform(162).axis = [0 0 0];
    smiData.RigidTransform(162).ID = 'F[BrasHaut_Nano-3:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(163).translation = [0 0 100];
    smiData.RigidTransform(163).angle = 3.1415926535897931;
    smiData.RigidTransform(163).axis = [1 0 0];
    smiData.RigidTransform(163).ID = 'B[BrasBas_Nano-4:-:BrasHaut_Nano-4]';
    smiData.RigidTransform(164).translation = [0 0 -35.679043357133281];
    smiData.RigidTransform(164).angle = 0;
    smiData.RigidTransform(164).axis = [0.022033680026024842 0.99975722900337693 0];
    smiData.RigidTransform(164).ID = 'F[BrasBas_Nano-4:-:BrasHaut_Nano-4]';
    smiData.RigidTransform(165).translation = [0 0 100];
    smiData.RigidTransform(165).angle = 0;
    smiData.RigidTransform(165).axis = [0 0 0];
    smiData.RigidTransform(165).ID = 'B[BrasHaut_Nano-4:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(166).translation = [9 -141.71450172794059 -9];
    smiData.RigidTransform(166).angle = 0;
    smiData.RigidTransform(166).axis = [0 0 0];
    smiData.RigidTransform(166).ID = 'F[BrasHaut_Nano-4:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(167).translation = [0 0 100];
    smiData.RigidTransform(167).angle = 3.1415926535897931;
    smiData.RigidTransform(167).axis = [1 0 0];
    smiData.RigidTransform(167).ID = 'B[BrasBas_Nano-5:-:BrasHaut_Nano-5]';
    smiData.RigidTransform(168).translation = [0 0 -35.679043357131079];
    smiData.RigidTransform(168).angle = 0;
    smiData.RigidTransform(168).axis = [-0.010381611731126155 0.99994610961684538 0];
    smiData.RigidTransform(168).ID = 'F[BrasBas_Nano-5:-:BrasHaut_Nano-5]';
    smiData.RigidTransform(169).translation = [0 0 100];
    smiData.RigidTransform(169).angle = 0;
    smiData.RigidTransform(169).axis = [0 0 0];
    smiData.RigidTransform(169).ID = 'B[BrasHaut_Nano-5:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(170).translation = [-9 -141.71450172795181 -9];
    smiData.RigidTransform(170).angle = 0;
    smiData.RigidTransform(170).axis = [0 0 0];
    smiData.RigidTransform(170).ID = 'F[BrasHaut_Nano-5:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(171).translation = [0 0 100];
    smiData.RigidTransform(171).angle = 3.1415926535897931;
    smiData.RigidTransform(171).axis = [1 0 0];
    smiData.RigidTransform(171).ID = 'B[BrasBas_Nano-6:-:BrasHaut_Nano-6]';
    smiData.RigidTransform(172).translation = [0 0 -35.68281595831197];
    smiData.RigidTransform(172).angle = 0;
    smiData.RigidTransform(172).axis = [-0.96869472342230434 -0.24825497540590319 0];
    smiData.RigidTransform(172).ID = 'F[BrasBas_Nano-6:-:BrasHaut_Nano-6]';
    smiData.RigidTransform(173).translation = [0 0 100];
    smiData.RigidTransform(173).angle = 0;
    smiData.RigidTransform(173).axis = [0 0 0];
    smiData.RigidTransform(173).ID = 'B[BrasHaut_Nano-6:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(174).translation = [-127.22634697028316 63.067080450852558 -9];
    smiData.RigidTransform(174).angle = 0;
    smiData.RigidTransform(174).axis = [0 0 0];
    smiData.RigidTransform(174).ID = 'F[BrasHaut_Nano-6:-:Nacelle_Nano_Support-1]';
    smiData.RigidTransform(175).translation = [0 0 0];
    smiData.RigidTransform(175).angle = 0;
    smiData.RigidTransform(175).axis = [0 0 0];
    smiData.RigidTransform(175).ID = 'AssemblyGround[Base_Nano_Support-1:Base-1]';
    smiData.RigidTransform(176).translation = [127.22634697029426 -63.067080450852451 10];
    smiData.RigidTransform(176).angle = 1.8378055227753536;
    smiData.RigidTransform(176).axis = [0.763196587125926 0.45690861744956074 0.45690861744956146];
    smiData.RigidTransform(176).ID = 'AssemblyGround[Base_Nano_Support-1:SupportBrasBas-3]';
    smiData.RigidTransform(177).translation = [-127.22634697029417 -63.067080450852451 10];
    smiData.RigidTransform(177).angle = 1.8673655239825964;
    smiData.RigidTransform(177).axis = [0.74006691344389042 -0.4755528170590696 -0.47555281705906893];
    smiData.RigidTransform(177).ID = 'AssemblyGround[Base_Nano_Support-1:SupportBrasBas-6]';
    smiData.RigidTransform(178).translation = [-118.23086729810151 -78.647708281543117 10];
    smiData.RigidTransform(178).angle = 1.8094589106634988;
    smiData.RigidTransform(178).axis = [0.78587220601618524 -0.43726700985282163 -0.4372670098528208];
    smiData.RigidTransform(178).ID = 'AssemblyGround[Base_Nano_Support-1:SupportBrasBas-5]';
    smiData.RigidTransform(179).translation = [118.23086729810117 -78.647708281543544 10];
    smiData.RigidTransform(179).angle = 1.7823894391576318;
    smiData.RigidTransform(179).axis = [0.8080026722588447 0.41661233876504744 0.41661233876504822];
    smiData.RigidTransform(179).ID = 'AssemblyGround[Base_Nano_Support-1:SupportBrasBas-4]';
    smiData.RigidTransform(180).translation = [9 141.714501727946 10];
    smiData.RigidTransform(180).angle = 1.5710479617908639;
    smiData.RigidTransform(180).axis = [0.999748396658808 -0.015861011603026547 -0.015861011603025481];
    smiData.RigidTransform(180).ID = 'AssemblyGround[Base_Nano_Support-1:SupportBrasBas-2]';
    smiData.RigidTransform(181).translation = [-9 141.71450172794601 10];
    smiData.RigidTransform(181).angle = 1.5730564937660574;
    smiData.RigidTransform(181).axis = [0.99774238336305865 0.047487558586451796 0.047487558586452858];
    smiData.RigidTransform(181).ID = 'AssemblyGround[Base_Nano_Support-1:SupportBrasBas-1]';
    smiData.RigidTransform(182).translation = [0 0 0];
    smiData.RigidTransform(182).angle = 0;
    smiData.RigidTransform(182).axis = [0 0 0];
    smiData.RigidTransform(182).ID = 'AssemblyGround[Base_Micro_Support-1:Base_Micro-1]';
    smiData.RigidTransform(183).translation = [164.38596921309357 -61.461395411037287 26];
    smiData.RigidTransform(183).angle = 1.9187221125479186;
    smiData.RigidTransform(183).axis = [0.70105739132351041 0.50424127859124845 0.50424127859124845];
    smiData.RigidTransform(183).ID = 'AssemblyGround[Base_Micro_Support-1:Support_BrasBas_Micro-4]';
    smiData.RigidTransform(184).translation = [-164.38596921309309 -61.461395411038474 26];
    smiData.RigidTransform(184).angle = 1.884987332363905;
    smiData.RigidTransform(184).axis = [0.72651828092209292 -0.48588640003914851 -0.48588640003914851];
    smiData.RigidTransform(184).ID = 'AssemblyGround[Base_Micro_Support-1:Support_BrasBas_Micro-1]';
    smiData.RigidTransform(185).translation = [28.965854828548963 173.093123069784 26];
    smiData.RigidTransform(185).angle = 1.5807504052803671;
    smiData.RigidTransform(185).axis = [0.9900951366239199 -0.099276433340600587 -0.099276433340600476];
    smiData.RigidTransform(185).ID = 'AssemblyGround[Base_Micro_Support-1:Support_BrasBas_Micro-5]';
    smiData.RigidTransform(186).translation = [-135.42011438454506 -111.63172765874725 26];
    smiData.RigidTransform(186).angle = 1.7406166941624732;
    smiData.RigidTransform(186).axis = [0.84312290031623427 -0.38022610047335081 -0.3802261004733507];
    smiData.RigidTransform(186).ID = 'AssemblyGround[Base_Micro_Support-1:Support_BrasBas_Micro-2]';
    smiData.RigidTransform(187).translation = [135.4201143845448 -111.63172765874775 26];
    smiData.RigidTransform(187).angle = 1.7673448712823034;
    smiData.RigidTransform(187).axis = [0.82051228676957966 0.40420266405613592 0.40420266405613603];
    smiData.RigidTransform(187).ID = 'AssemblyGround[Base_Micro_Support-1:Support_BrasBas_Micro-3]';
    smiData.RigidTransform(188).translation = [-28.9658548285478 173.0931230697843 26];
    smiData.RigidTransform(188).angle = 1.5751290192942153;
    smiData.RigidTransform(188).axis = [0.99567666657461573 0.065680954769481423 0.065680954769481589];
    smiData.RigidTransform(188).ID = 'AssemblyGround[Base_Micro_Support-1:Support_BrasBas_Micro-6]';
    smiData.RigidTransform(189).translation = [-24.734990422651027 115.37842193751551 26];
    smiData.RigidTransform(189).angle = 2.9284559493353459;
    smiData.RigidTransform(189).axis = [0.10697361888203639 -0.70304930298780655 -0.70304930298780643];
    smiData.RigidTransform(189).ID = 'AssemblyGround[Nacelle_Micro_Support-1:Support_BrasHaut_Micro-3]';
    smiData.RigidTransform(190).translation = [24.734990422651027 115.37842193751551 26];
    smiData.RigidTransform(190).angle = 1.5934260308391226;
    smiData.RigidTransform(190).axis = [0.977622538646766 -0.1487517595355643 -0.1487517595355643];
    smiData.RigidTransform(190).ID = 'AssemblyGround[Nacelle_Micro_Support-1:Support_BrasHaut_Micro-4]';
    smiData.RigidTransform(191).translation = [0 0 0];
    smiData.RigidTransform(191).angle = 0;
    smiData.RigidTransform(191).axis = [0 0 0];
    smiData.RigidTransform(191).ID = 'AssemblyGround[Nacelle_Micro_Support-1:Nacelle_Micro-1]';
    smiData.RigidTransform(192).translation = [-112.28813965777375 -36.268080900376866 26];
    smiData.RigidTransform(192).angle = 1.8794814438297855;
    smiData.RigidTransform(192).axis = [0.73073274834527857 -0.48271609176396629 -0.4827160917639664];
    smiData.RigidTransform(192).ID = 'AssemblyGround[Nacelle_Micro_Support-1:Support_BrasHaut_Micro-1]';
    smiData.RigidTransform(193).translation = [-87.5531492351234 -79.110341037137516 26];
    smiData.RigidTransform(193).angle = 1.7037114043966617;
    smiData.RigidTransform(193).axis = [0.87519534113058439 -0.3420768297205467 -0.3420768297205467];
    smiData.RigidTransform(193).ID = 'AssemblyGround[Nacelle_Micro_Support-1:Support_BrasHaut_Micro-2]';
    smiData.RigidTransform(194).translation = [87.553149235123513 -79.110341037137516 26];
    smiData.RigidTransform(194).angle = 1.7719622344152652;
    smiData.RigidTransform(194).axis = [0.81665660444727739 0.40808821988183075 0.40808821988183086];
    smiData.RigidTransform(194).ID = 'AssemblyGround[Nacelle_Micro_Support-1:Support_BrasHaut_Micro-6]';
    smiData.RigidTransform(195).translation = [112.28813965777357 -36.268080900377647 26];
    smiData.RigidTransform(195).angle = 1.9715405452964176;
    smiData.RigidTransform(195).axis = [0.66237570858101358 0.52974447646096323 0.52974447646096323];
    smiData.RigidTransform(195).ID = 'AssemblyGround[Nacelle_Micro_Support-1:Support_BrasHaut_Micro-5]';
    smiData.RigidTransform(196).translation = [-118.23086729810149 78.647708281543132 0];
    smiData.RigidTransform(196).angle = 1.80676175507324;
    smiData.RigidTransform(196).axis = [-0.78805597458536769 -0.435297473528337 0.435297473528337];
    smiData.RigidTransform(196).ID = 'AssemblyGround[Nacelle_Nano_Support-1:SupportBrasHaut-1]';
    smiData.RigidTransform(197).translation = [127.22634697029423 63.067080450852437 0];
    smiData.RigidTransform(197).angle = 1.8406359481709402;
    smiData.RigidTransform(197).axis = [-0.76095947164243372 0.45877046685552253 -0.45877046685552253];
    smiData.RigidTransform(197).ID = 'AssemblyGround[Nacelle_Nano_Support-1:SupportBrasHaut-3]';
    smiData.RigidTransform(198).translation = [0 0 0];
    smiData.RigidTransform(198).angle = 0;
    smiData.RigidTransform(198).axis = [0 0 0];
    smiData.RigidTransform(198).ID = 'AssemblyGround[Nacelle_Nano_Support-1:Nacelle-1]';
    smiData.RigidTransform(199).translation = [118.23086729810218 78.647708281542108 0];
    smiData.RigidTransform(199).angle = 1.7849713582171052;
    smiData.RigidTransform(199).axis = [-0.80587110839929388 0.418671563786755 -0.418671563786755];
    smiData.RigidTransform(199).ID = 'AssemblyGround[Nacelle_Nano_Support-1:SupportBrasHaut-2]';
    smiData.RigidTransform(200).translation = [-127.22634697029427 63.067080450852409 0];
    smiData.RigidTransform(200).angle = 1.8644310793620114;
    smiData.RigidTransform(200).axis = [-0.74234020206476869 -0.47377791442744482 0.47377791442744482];
    smiData.RigidTransform(200).ID = 'AssemblyGround[Nacelle_Nano_Support-1:SupportBrasHaut-6]';
    smiData.RigidTransform(201).translation = [9 -141.71450172794593 0];
    smiData.RigidTransform(201).angle = 3.078715688967006;
    smiData.RigidTransform(201).axis = [-0.031448844111168807 0.70675701984630868 -0.70675701984630879];
    smiData.RigidTransform(201).ID = 'AssemblyGround[Nacelle_Nano_Support-1:SupportBrasHaut-4]';
    smiData.RigidTransform(202).translation = [-9 -141.71450172794601 0];
    smiData.RigidTransform(202).angle = 1.5727724332459803;
    smiData.RigidTransform(202).axis = [-0.99802584347821255 0.044409547113218976 -0.044409547113218983];
    smiData.RigidTransform(202).ID = 'AssemblyGround[Nacelle_Nano_Support-1:SupportBrasHaut-5]';
    smiData.RigidTransform(203).translation = [0 0 0];
    smiData.RigidTransform(203).angle = 0;
    smiData.RigidTransform(203).axis = [0 0 0];
    smiData.RigidTransform(203).ID = 'RootGround[Attache_Granite-1]';

    %% Solids
    smiData.Solid = struct;

    %% Granite
    smiData.Solid(5).mass = 2089;
    smiData.Solid(5).CoM = [-1262.1362320261123 166.83481482169643 283.94436066735034];
    smiData.Solid(5).MoI = [4.4293752699394375E+8 1.4897500474254062E+9 1.0787685713442078E+9];
    smiData.Solid(5).PoI = [-1.0384930339000512E+7 -9.05650787960871E+6 1.0674347902802757E+6];
    smiData.Solid(5).color = [1 1 1];
    smiData.Solid(5).opacity = 1;
    smiData.Solid(5).ID = 'Granite*:*MONTAGE PALIER A AIR';
    smiData.Solid(5).STEP = '.\STEPS\granite\granite.STEP';
    
    %% Y-Translation
    % Ty Stator Part
    smiData.Solid(1).mass = 17.407732322791883;
    smiData.Solid(1).CoM = [0.015718974415195226 35.000106662086104 0.66628765693154646];
    smiData.Solid(1).MoI = [74518.954605887164 165222.36906531572 139603.38151958794];
    smiData.Solid(1).PoI = [-1518.3614460506017 -7.2374554620627034 -309.89153404714762];
    smiData.Solid(1).color = [0.792 0.820 0.933];
    smiData.Solid(1).opacity = 1;
    smiData.Solid(1).ID = 'Moteur_Translation_Attache*:*Un';
    smiData.Solid(1).STEP = './STEPS/ty/Ty_Motor_Stator.STEP';    
    % Ty Granite frame
    smiData.Solid(2).mass = 15.43418416106894;
    smiData.Solid(2).CoM = [0 7.48333189807615 -86.332571976971607];
    smiData.Solid(2).MoI = [2.2709374659793619E+6 4.2263019787784433E+6 1.9559436634416454E+6];
    smiData.Solid(2).PoI = [-17.5333372137901 0 0];
    smiData.Solid(2).color = [0.753 1 0.753];
    smiData.Solid(2).opacity = 1;
    smiData.Solid(2).ID = 'Attache_Granite*:*Un';
    smiData.Solid(2).STEP = '.\STEPS\Ty\Ty_Granite_Frame.STEP';
    % Guide Translation Ty
    smiData.Solid(3).mass = 76.23534630428415;
    smiData.Solid(3).CoM = [-6.7649065519793163 -12.146139105262785 -1.4104679905522566E-8];
    smiData.Solid(3).MoI = [9.4039834963181838E+6 9.4034579744764678E+6 232263.26039287818];
    smiData.Solid(3).PoI = [-0.00015334858811380178 -0.00027172084966439487 -3553.386294247427];
    smiData.Solid(3).color = [0.792 0.820 0.933];
    smiData.Solid(3).opacity = 1;
    smiData.Solid(3).ID = 'Guide_Translation_Attache_Granite*:*Un';
    smiData.Solid(3).STEP = './STEPS/ty/Ty_Guide.STEP';    
    % Ty Rotor Part
    smiData.Solid(24).mass = 15.126420955757553;
    smiData.Solid(24).CoM = [-0.54563849791295038 -19.440722181375406 -102.40329703573914];
    smiData.Solid(24).MoI = [45643.718565463234 322252.82258853404 279570.09452022141];
    smiData.Solid(24).PoI = [-112.30069985275661 783.83628844540624 -379.06755103452377];
    smiData.Solid(24).color = [0.792 0.820 0.933];
    smiData.Solid(24).opacity = 1;
    smiData.Solid(24).ID = 'Moteur_Translation_Plateau*:*Un';
    smiData.Solid(24).STEP = './STEPS/ty/Ty_Motor_Rotor.STEP';
    % Ty - Guide_Translation12
    smiData.Solid(4).mass = 8.3613735231187114;
    smiData.Solid(4).CoM = [19.1409856316717 11.907994144196662 11.821533174094323];
    smiData.Solid(4).MoI = [53852.677261917212 56839.401066359722 55772.228960332352];
    smiData.Solid(4).PoI = [-3256.0421853479766 -4924.8108766115784 -1320.0442429257519];
    smiData.Solid(4).color = [0.792 0.820 0.933];
    smiData.Solid(4).opacity = 1;
    smiData.Solid(4).ID = 'Guide_Translation12*:*Un';
    smiData.Solid(4).STEP = '.\STEPS\Ty\Ty_Guide_12.STEP';
    % Ty - Guide_Translation11
    smiData.Solid(6).mass = 8.1829253919450977;
    smiData.Solid(6).CoM = [16.87989864259038 10.71472380164245 12.617372197409855];
    smiData.Solid(6).MoI = [52969.730978163447 54572.543668756531 53183.634453418505];
    smiData.Solid(6).PoI = [-3631.945563223851 -5630.6059761096 -289.15773342455952];
    smiData.Solid(6).color = [0.792 0.820 0.933];
    smiData.Solid(6).opacity = 1;
    smiData.Solid(6).ID = 'Guide_Translation1*:*Un';
    smiData.Solid(6).STEP = './STEPS/ty/Ty_Guide_11.STEP';
    % Ty - Guide_Translation22
    smiData.Solid(7).mass = 8.3609058443789515;
    smiData.Solid(7).CoM = [19.132133721964305 11.892463147403664 -11.823956211824273];
    smiData.Solid(7).MoI = [53839.548367298143 56828.643221751627 55750.099842573487];
    smiData.Solid(7).PoI = [3261.10407978655 4927.7918682396448 -1304.436900584067];
    smiData.Solid(7).color = [0.792 0.820 0.933];
    smiData.Solid(7).opacity = 1;
    smiData.Solid(7).ID = 'Guide_Translation22*:*Un';
    smiData.Solid(7).STEP = './STEPS/ty/Ty_Guide_22.STEP';
    % Ty - Guide_Translation21
    smiData.Solid(8).mass = 8.1829256494063252;
    smiData.Solid(8).CoM = [16.879899026528118 10.714722674505232 -12.617370596448877];
    smiData.Solid(8).MoI = [52969.732158808736 54572.544816981281 53183.635918253414];
    smiData.Solid(8).PoI = [3631.9460791272418 5630.60590582175 -289.15762831869131];
    smiData.Solid(8).color = [0.792 0.820 0.933];
    smiData.Solid(8).opacity = 1;
    smiData.Solid(8).ID = 'Guide_Translation2*:*Un';
    smiData.Solid(8).STEP = '.\STEPS\Ty\Ty_Guide_21.STEP';
    % Ty - Plateau translation
    smiData.Solid(9).mass = 123.27304666520648;
    smiData.Solid(9).CoM = [1.0745153439908003E-8 76.840734640488066 -15.7858927227978];
    smiData.Solid(9).MoI = [1.6258590199632309E+7 3.3998679601297766E+7 1.8290485861220378E+7];
    smiData.Solid(9).PoI = [-40100.293113086067 -18283.832750216414 0.00010977145084025645];
    smiData.Solid(9).color = [0.792 0.820 0.933];
    smiData.Solid(9).opacity = 1;
    smiData.Solid(9).ID = 'Plateau_Translation*:*Un';
    smiData.Solid(9).STEP = '.\STEPS\ty\Ty_Stage.STEP';

    %% Tilt Stage
    % Ry - Guide for the tilt stage
    smiData.Solid(11).mass = 2.2361582977906496;
    smiData.Solid(11).CoM = [-0.15900593897461887 24.855409113474046 -0.17548810891069858];
    smiData.Solid(11).MoI = [2117.5998025030904 3635.7958018687932 2242.3242214716147];
    smiData.Solid(11).PoI = [-4.1934867272725125 -0.32511744228602696 2.3625270647825505];
    smiData.Solid(11).color = [0.792 0.820 0.933];
    smiData.Solid(11).opacity = 1;
    smiData.Solid(11).ID = 'Guide_Tilt*:*Un';
    smiData.Solid(11).STEP = '.\STEPS\Ry\Tilt_Guide.STEP';
    % Ry - Plateau Tilt
    smiData.Solid(18).mass = 124.18540434871731;
    smiData.Solid(18).CoM = [-26.582212197447287 -491.717305640884 -0.00033479273697097707];
    smiData.Solid(18).MoI = [1.1439333451426933E+7 1.9448243099410776E+7 8.463072074762946E+6];
    smiData.Solid(18).PoI = [-1.7523192581664864 -6.3900215026686755 -255511.79057840357];
    smiData.Solid(18).color = [0.792 0.820 0.933];
    smiData.Solid(18).opacity = 1;
    smiData.Solid(18).ID = 'Plateau_Tilt*:*un';
    smiData.Solid(18).STEP = '.\STEPS\ry\Tilt_Stage.STEP';
    % Ry - Rotor of the motor
    smiData.Solid(25).mass = 0.38430863613603045;
    smiData.Solid(25).CoM = [-5.266756357647571E-8 0.084038038546028468 -17.259197169539714];
    smiData.Solid(25).MoI = [499.37275615442366 499.08493635525451 104.67248848189929];
    smiData.Solid(25).PoI = [1.02486741762914 2.3304382287390747E-6 2.3451716786610303E-7];
    smiData.Solid(25).color = [0.792 0.820 0.933];
    smiData.Solid(25).opacity = 1;
    smiData.Solid(25).ID = 'Moteur_Tilt_Axe*:*Un';
    smiData.Solid(25).STEP = '.\STEPS\Ry\Tilt_Motor_Axis.STEP';
    % Ry - Motor
    smiData.Solid(28).mass = 6.1218480858043582;
    smiData.Solid(28).CoM = [18.047333440871935 33.17427256561281 -0.46949496649199368];
    smiData.Solid(28).MoI = [31874.700431348381 42897.353029512182 29049.726878808429];
    smiData.Solid(28).PoI = [5110.6166623008257 -11188.307260400428 2468.1651805945835];
    smiData.Solid(28).color = [0.792 0.820 0.933];
    smiData.Solid(28).opacity = 1;
    smiData.Solid(28).ID = 'Moteur_Tilt_Bati*:*un';
    smiData.Solid(28).STEP = '.\STEPS\ry\Tilt_Motor.STEP';

    %% Spindle
    % Spindle - Motor
    smiData.Solid(10).mass = 26.05449761481789;
    smiData.Solid(10).CoM = [-0.095307614034803215 -73.729181325504371 0.060643973360152141];
    smiData.Solid(10).MoI = [542775.78978177439 273763.46024085052 542564.45071286859];
    smiData.Solid(10).PoI = [-98.959191426503438 -1805.6394231119384 -52.852323754654158];
    smiData.Solid(10).color = [0.792 0.820 0.933];
    smiData.Solid(10).opacity = 1;
    smiData.Solid(10).ID = 'Moteur_Spindle*:*Un';
    smiData.Solid(10).STEP = '.\STEPS\rz\Spindle_Axis.STEP';
    % Spindle - Rotor
    smiData.Solid(12).mass = 18.489788236729925;
    smiData.Solid(12).CoM = [83.945932907862158 3.5024291372378355E-5 -2.340248362521065E-5];
    smiData.Solid(12).MoI = [918590.42919547844 499096.85122296982 499096.80095398769];
    smiData.Solid(12).PoI = [-0.060680025979102596 -0.055279758468797451 0.082732004208309853];
    smiData.Solid(12).color = [0.792 0.820 0.933];
    smiData.Solid(12).opacity = 1;
    smiData.Solid(12).ID = 'Axe_Spindle*:*Un';
    smiData.Solid(12).STEP = '.\STEPS\rz\Spindle_Rotor.STEP';
    % Spindle - Stator
    smiData.Solid(26).mass = 52.9776539711868;
    smiData.Solid(26).CoM = [122.00377986104328 -0.0056758322482918606 0.076028031715715316];
    smiData.Solid(26).MoI = [4.9160628224502634E+6 2.8118491924753189E+6 2.8126349362308397E+6];
    smiData.Solid(26).PoI = [-60.988049183057221 574.35593302280927 -42.844438542971233];
    smiData.Solid(26).color = [0.792 0.820 0.933];
    smiData.Solid(26).opacity = 1;
    smiData.Solid(26).ID = 'Bati_Spindle*:*Un';
    smiData.Solid(26).STEP = '.\STEPS\rz\Spindle_Stator.STEP';
    
    %% Axis Compensator

    % Axis Correction - Disc Stator
    smiData.Solid(17).mass = 3.5065801747129073;
    smiData.Solid(17).CoM = [-0.36791120657420417 -39.5989800783502 -1.8492196764749032];
    smiData.Solid(17).MoI = [123021.09213588048 241616.67862224273 121135.81165159146];
    smiData.Solid(17).PoI = [-6.304580461431124 -390.11328139595861 -1.2685138195415793];
    smiData.Solid(17).color = [0.792 0.820 0.933];
    smiData.Solid(17).opacity = 1;
    smiData.Solid(17).ID = 'Correcteur_Axe*:*Un';
    smiData.Solid(17).STEP = '.\STEPS\axisc\Disc_Stator.STEP';
    % 
    smiData.Solid(29).mass = 0.018506900186134712;
    smiData.Solid(29).CoM = [-0.56890312150214994 -6.1547991703062257 0];
    smiData.Solid(29).MoI = [2.4610504412048715 2.2918706649711496 2.4929637479655558];
    smiData.Solid(29).PoI = [0 0 0.16178879894587178];
    smiData.Solid(29).color = [0.753 0.753 0.753];
    smiData.Solid(29).opacity = 1;
    smiData.Solid(29).ID = 'HEPCO_RSJ34DE*:*Un';
    smiData.Solid(29).STEP = '.\STEPS\axisc\axisc_guidance.STEP';
    %
    smiData.Solid(30).mass = 6.90011207232739;
    smiData.Solid(30).CoM = [1.0948384390702313E-8 -3.3962123693453816 -1.9754286882626495];
    smiData.Solid(30).MoI = [8220.4563154645821 23522.651144994408 16476.625269165881];
    smiData.Solid(30).PoI = [-11.548161994462447 -3.0960488486093604E-6 -1.0902039565704146E-6];
    smiData.Solid(30).color = [0.792 0.820 0.933];
    smiData.Solid(30).opacity = 1;
    smiData.Solid(30).ID = 'Bati_Correcteur_Axe_SansCapteur2*:*Un';
    smiData.Solid(30).STEP = './STEPS/axisc/Axisc_Mass.STEP';
    %
    smiData.Solid(32).mass = 0.050211456363892161;
    smiData.Solid(32).CoM = [1.755384579522894E-7 0.20971599065599411 7.3676040526265947];
    smiData.Solid(32).MoI = [5.6316076354202487 5.5419198739075943 5.1790795543353232];
    smiData.Solid(32).PoI = [-0.011944800771315923 9.54415671502239E-8 -4.87066937517102E-7];
    smiData.Solid(32).color = [0.792 0.820 0.933];
    smiData.Solid(32).opacity = 1;
    smiData.Solid(32).ID = 'Axe_Correcteur_Axe*:*Un';
    smiData.Solid(32).STEP = '.\STEPS\axisc\axisc_gearing.STEP';

    %% Cylindrical Joints
    smiData.CylindricalJoint = struct;
    smiData.CylindricalJoint(1).Rz = struct;
    smiData.CylindricalJoint(1).Rz.Pos = 180;
    smiData.CylindricalJoint(1).Pz = struct;
    smiData.CylindricalJoint(1).Pz.Pos = 0;
    smiData.CylindricalJoint(1).ID = '[Guide_Translation_Attache_Granite-1:-:Guide_Translation1-1]';
    smiData.CylindricalJoint(2).Rz = struct;
    smiData.CylindricalJoint(2).Rz.Pos = 180;
    smiData.CylindricalJoint(2).Pz = struct;
    smiData.CylindricalJoint(2).Pz.Pos = 0;
    smiData.CylindricalJoint(2).ID = '[Guide_Translation_Attache_Granite-2:-:Guide_Translation2-1]';
    smiData.CylindricalJoint(3).Rz = struct;
    smiData.CylindricalJoint(3).Rz.Pos = 149.03290681955352;
    smiData.CylindricalJoint(3).Pz = struct;
    smiData.CylindricalJoint(3).Pz.Pos = 0;
    smiData.CylindricalJoint(3).ID = '[BrasBas_Micro-1:-:BrasHaut_Micro-1]';
    smiData.CylindricalJoint(4).Rz = struct;
    smiData.CylindricalJoint(4).Rz.Pos = -105.57092553445739;
    smiData.CylindricalJoint(4).Pz = struct;
    smiData.CylindricalJoint(4).Pz.Pos = 0;
    smiData.CylindricalJoint(4).ID = '[BrasBas_Micro-2:-:BrasHaut_Micro-2]';
    smiData.CylindricalJoint(5).Rz = struct;
    smiData.CylindricalJoint(5).Rz.Pos = -105.5709255344574;
    smiData.CylindricalJoint(5).Pz = struct;
    smiData.CylindricalJoint(5).Pz.Pos = 0;
    smiData.CylindricalJoint(5).ID = '[BrasBas_Micro-3:-:BrasHaut_Micro-3]';
    smiData.CylindricalJoint(6).Rz = struct;
    smiData.CylindricalJoint(6).Rz.Pos = -105.57092553445743;
    smiData.CylindricalJoint(6).Pz = struct;
    smiData.CylindricalJoint(6).Pz.Pos = 0;
    smiData.CylindricalJoint(6).ID = '[BrasBas_Micro-4:-:BrasHaut_Micro-4]';
    smiData.CylindricalJoint(7).Rz = struct;
    smiData.CylindricalJoint(7).Rz.Pos = -105.57092553445742;
    smiData.CylindricalJoint(7).Pz = struct;
    smiData.CylindricalJoint(7).Pz.Pos = 0;
    smiData.CylindricalJoint(7).ID = '[BrasBas_Micro-5:-:BrasHaut_Micro-5]';
    smiData.CylindricalJoint(8).Rz = struct;
    smiData.CylindricalJoint(8).Rz.Pos = -161.89257470241228;
    smiData.CylindricalJoint(8).Pz = struct;
    smiData.CylindricalJoint(8).Pz.Pos = 0;
    smiData.CylindricalJoint(8).ID = '[BrasBas_Micro-6:-:BrasHaut_Micro-6]';
    smiData.CylindricalJoint(9).Rz = struct;
    smiData.CylindricalJoint(9).Rz.Pos = 180;
    smiData.CylindricalJoint(9).Pz = struct;
    smiData.CylindricalJoint(9).Pz.Pos = 0;
    smiData.CylindricalJoint(9).ID = '[Guide_Translation_Attache_Granite-2:-:Guide_Translation12-1]';
    smiData.CylindricalJoint(10).Rz = struct;
    smiData.CylindricalJoint(10).Rz.Pos = 180;
    smiData.CylindricalJoint(10).Pz = struct;
    smiData.CylindricalJoint(10).Pz.Pos = 0;
    smiData.CylindricalJoint(10).ID = '[Guide_Translation_Attache_Granite-1:-:Guide_Translation22-1]';
    smiData.CylindricalJoint(11).Rz = struct;
    smiData.CylindricalJoint(11).Rz.Pos = -9.4816071660540437;
    smiData.CylindricalJoint(11).Pz = struct;
    smiData.CylindricalJoint(11).Pz.Pos = 0;
    smiData.CylindricalJoint(11).ID = '[Bati_Spindle-1:-:Base_Micro_Support-1]';
    smiData.CylindricalJoint(12).Rz = struct;
    smiData.CylindricalJoint(12).Rz.Pos = -34;
    smiData.CylindricalJoint(12).Pz = struct;
    smiData.CylindricalJoint(12).Pz.Pos = 0;
    smiData.CylindricalJoint(12).ID = '[Guide_Tilt-1:-:Plateau_Tilt-1]';
    smiData.CylindricalJoint(13).Rz = struct;
    smiData.CylindricalJoint(13).Rz.Pos = -34;
    smiData.CylindricalJoint(13).Pz = struct;
    smiData.CylindricalJoint(13).Pz.Pos = 0;
    smiData.CylindricalJoint(13).ID = '[Guide_Tilt-3:-:Plateau_Tilt-1]';
    smiData.CylindricalJoint(14).Rz = struct;
    smiData.CylindricalJoint(14).Rz.Pos = 34;
    smiData.CylindricalJoint(14).Pz = struct;
    smiData.CylindricalJoint(14).Pz.Pos = 0;
    smiData.CylindricalJoint(14).ID = '[Guide_Tilt-4:-:Plateau_Tilt-1]';
    smiData.CylindricalJoint(15).Rz = struct;
    smiData.CylindricalJoint(15).Rz.Pos = 96.116641010987422;
    smiData.CylindricalJoint(15).Pz = struct;
    smiData.CylindricalJoint(15).Pz.Pos = 0;
    smiData.CylindricalJoint(15).ID = '[Bati_Correcteur_Axe_Capteurs2-1:-:Axe_Correcteur_Axe-1]';
    smiData.CylindricalJoint(16).Rz = struct;
    smiData.CylindricalJoint(16).Rz.Pos = -116.92945271510861;
    smiData.CylindricalJoint(16).Pz = struct;
    smiData.CylindricalJoint(16).Pz.Pos = 0;
    smiData.CylindricalJoint(16).ID = '[Bati_Correcteur_Axe_SansCapteur2-1:-:Axe_Correcteur_Axe-2]';
    smiData.CylindricalJoint(17).Rz = struct;
    smiData.CylindricalJoint(17).Rz.Pos = -78.509282952257848;
    smiData.CylindricalJoint(17).Pz = struct;
    smiData.CylindricalJoint(17).Pz.Pos = 0;
    smiData.CylindricalJoint(17).ID = '[BrasBas_Nano-1:-:BrasHaut_Nano-1]';
    smiData.CylindricalJoint(18).Rz = struct;
    smiData.CylindricalJoint(18).Rz.Pos = 101.751972422287;
    smiData.CylindricalJoint(18).Pz = struct;
    smiData.CylindricalJoint(18).Pz.Pos = 0;
    smiData.CylindricalJoint(18).ID = '[BrasBas_Nano-2:-:BrasHaut_Nano-2]';
    smiData.CylindricalJoint(19).Rz = struct;
    smiData.CylindricalJoint(19).Rz.Pos = 154.24065475004477;
    smiData.CylindricalJoint(19).Pz = struct;
    smiData.CylindricalJoint(19).Pz.Pos = 0;
    smiData.CylindricalJoint(19).ID = '[BrasBas_Nano-3:-:BrasHaut_Nano-3]';
    smiData.CylindricalJoint(20).Rz = struct;
    smiData.CylindricalJoint(20).Rz.Pos = -78.509282952257834;
    smiData.CylindricalJoint(20).Pz = struct;
    smiData.CylindricalJoint(20).Pz.Pos = 0;
    smiData.CylindricalJoint(20).ID = '[BrasBas_Nano-4:-:BrasHaut_Nano-4]';
    smiData.CylindricalJoint(21).Rz = struct;
    smiData.CylindricalJoint(21).Rz.Pos = -78.509282952257863;
    smiData.CylindricalJoint(21).Pz = struct;
    smiData.CylindricalJoint(21).Pz.Pos = 0;
    smiData.CylindricalJoint(21).ID = '[BrasBas_Nano-5:-:BrasHaut_Nano-5]';
    smiData.CylindricalJoint(22).Rz = struct;
    smiData.CylindricalJoint(22).Rz.Pos = -78.509282952257749;
    smiData.CylindricalJoint(22).Pz = struct;
    smiData.CylindricalJoint(22).Pz.Pos = 0;
    smiData.CylindricalJoint(22).ID = '[BrasBas_Nano-6:-:BrasHaut_Nano-6]';

    %% Planar Joints
    smiData.PlanarJoint = struct;
    smiData.PlanarJoint(1).Rz = struct;
    smiData.PlanarJoint(1).Rz.Pos = -74.674194416698683;
    smiData.PlanarJoint(1).Px = struct;
    smiData.PlanarJoint(1).Px.Pos = 0;
    smiData.PlanarJoint(1).Py = struct;
    smiData.PlanarJoint(1).Py.Pos = 0;
    smiData.PlanarJoint(1).ID = '[Correcteur_Axe-1:-:Axe_Correcteur_Axe-1]';
    smiData.PlanarJoint(2).Rz = struct;
    smiData.PlanarJoint(2).Rz.Pos = -74.651498777806253;
    smiData.PlanarJoint(2).Px = struct;
    smiData.PlanarJoint(2).Px.Pos = 0;
    smiData.PlanarJoint(2).Py = struct;
    smiData.PlanarJoint(2).Py.Pos = 0;
    smiData.PlanarJoint(2).ID = '[Correcteur_Axe-1:-:Axe_Correcteur_Axe-2]';
    smiData.PlanarJoint(3).Rz = struct;
    smiData.PlanarJoint(3).Rz.Pos = 106.35899498334818;
    smiData.PlanarJoint(3).Px = struct;
    smiData.PlanarJoint(3).Px.Pos = 0;
    smiData.PlanarJoint(3).Py = struct;
    smiData.PlanarJoint(3).Py.Pos = 0;
    smiData.PlanarJoint(3).ID = '[Axe_Spindle-1:-:Base_Micro_Support-1]';

    %% Prismatic Joints
    smiData.PrismaticJoint = struct;
    smiData.PrismaticJoint(1).Pz = struct;
    smiData.PrismaticJoint(1).Pz.Pos = 0;
    smiData.PrismaticJoint(1).ID = '[Guide_Translation1-1:-:Plateau_Translation-1]';
    smiData.PrismaticJoint(2).Pz = struct;
    smiData.PrismaticJoint(2).Pz.Pos = 0;
    smiData.PrismaticJoint(2).ID = '[Guide_Translation2-1:-:Plateau_Translation-1]';
    smiData.PrismaticJoint(3).Pz = struct;
    smiData.PrismaticJoint(3).Pz.Pos = 0;
    smiData.PrismaticJoint(3).ID = '[Guide_Translation12-1:-:Plateau_Translation-1]';
    %% Revolute Joints
    smiData.RevoluteJoint = struct;
    smiData.RevoluteJoint(1).Rz = struct;
    smiData.RevoluteJoint(1).Rz.Pos = 70.822674296064847;
    smiData.RevoluteJoint(1).ID = '[Correcteur_Axe-1:-:Base_Nano_Support-1]';
    smiData.RevoluteJoint(2).Rz = struct;
    smiData.RevoluteJoint(2).Rz.Pos = 34;
    smiData.RevoluteJoint(2).ID = '[Guide_Tilt-2:-:Plateau_Tilt-1]';
    smiData.RevoluteJoint(3).Rz = struct;
    smiData.RevoluteJoint(3).Rz.Pos = -115.84060214940222;
    smiData.RevoluteJoint(3).ID = '[Bati_Spindle-1:-:Axe_Spindle-1]';
    smiData.RevoluteJoint(4).Rz = struct;
    smiData.RevoluteJoint(4).Rz.Pos = 10.822674296065092;
    smiData.RevoluteJoint(4).ID = '[Nacelle_Micro_Support-1:-:Correcteur_Axe-1]';
    smiData.RevoluteJoint(5).Rz = struct;
    smiData.RevoluteJoint(5).Rz.Pos = -151.91550467858602;
    smiData.RevoluteJoint(5).ID = '[Plateau_Tilt-1:-:Bati_Spindle-1]';
    smiData.RevoluteJoint(6).Rz = struct;
    smiData.RevoluteJoint(6).Rz.Pos = 72.9514813271209;
    smiData.RevoluteJoint(6).ID = '[Moteur_Tilt_Axe-1:-:Moteur_Tilt_Bati-1]';
    smiData.RevoluteJoint(7).Rz = struct;
    smiData.RevoluteJoint(7).Rz.Pos = 47.010014889569504;
    smiData.RevoluteJoint(7).ID = '[Bati_Correcteur_Axe_Capteurs2-1:-:HEPCO_RSJ34DE-1]';
    smiData.RevoluteJoint(8).Rz = struct;
    smiData.RevoluteJoint(8).Rz.Pos = -174.05205968031547;
    smiData.RevoluteJoint(8).ID = '[Bati_Correcteur_Axe_Capteurs2-1:-:HEPCO_RSJ34DE-2]';
    smiData.RevoluteJoint(9).Rz = struct;
    smiData.RevoluteJoint(9).Rz.Pos = 102.7575638600356;
    smiData.RevoluteJoint(9).ID = '[Bati_Correcteur_Axe_SansCapteur2-1:-:HEPCO_RSJ34DE-3]';
    smiData.RevoluteJoint(10).Rz = struct;
    smiData.RevoluteJoint(10).Rz.Pos = -127.76198261464012;
    smiData.RevoluteJoint(10).ID = '[Bati_Correcteur_Axe_SansCapteur2-1:-:HEPCO_RSJ34DE-4]';
    smiData.RevoluteJoint(11).Rz = struct;
    smiData.RevoluteJoint(11).Rz.Pos = -21.843896373401229;
    smiData.RevoluteJoint(11).ID = '[Nacelle_Nano_Support-1:-:Support_Sample-1]';

    %% Spherical Joints
    smiData.SphericalJoint = struct;
    smiData.SphericalJoint(1).S = struct;
    smiData.SphericalJoint(1).S.Pos = struct;
    smiData.SphericalJoint(1).S.Pos.Angle = 165.21621465575322;
    smiData.SphericalJoint(1).S.Pos.Axis = [-0.79867724979105748 -0.24060261324578058 -0.55156598260361767];
    smiData.SphericalJoint(1).ID = '[Base_Nano_Support-1:-:BrasBas_Nano-1]';
    smiData.SphericalJoint(2).S = struct;
    smiData.SphericalJoint(2).S.Pos = struct;
    smiData.SphericalJoint(2).S.Pos.Angle = 135.22608550689245;
    smiData.SphericalJoint(2).S.Pos.Axis = [-0.87283728949570871 -0.19623469746479758 0.44681876591822312];
    smiData.SphericalJoint(2).ID = '[Base_Nano_Support-1:-:BrasBas_Nano-2]';
    smiData.SphericalJoint(3).S = struct;
    smiData.SphericalJoint(3).S.Pos = struct;
    smiData.SphericalJoint(3).S.Pos.Angle = 114.3068810118997;
    smiData.SphericalJoint(3).S.Pos.Axis = [0.95040135693134187 0.25727958565610681 -0.17476977870240018];
    smiData.SphericalJoint(3).ID = '[Base_Nano_Support-1:-:BrasBas_Nano-3]';
    smiData.SphericalJoint(4).S = struct;
    smiData.SphericalJoint(4).S.Pos = struct;
    smiData.SphericalJoint(4).S.Pos.Angle = 165.02747576128004;
    smiData.SphericalJoint(4).S.Pos.Axis = [-0.799564271540037 -0.23826722528242783 -0.55129457192399667];
    smiData.SphericalJoint(4).ID = '[Base_Nano_Support-1:-:BrasBas_Nano-4]';
    smiData.SphericalJoint(5).S = struct;
    smiData.SphericalJoint(5).S.Pos = struct;
    smiData.SphericalJoint(5).S.Pos.Angle = 138.51636250044234;
    smiData.SphericalJoint(5).S.Pos.Axis = [-0.87347054662479362 -0.13943121899971256 0.46648487579688847];
    smiData.SphericalJoint(5).ID = '[Base_Nano_Support-1:-:BrasBas_Nano-5]';
    smiData.SphericalJoint(6).S = struct;
    smiData.SphericalJoint(6).S.Pos = struct;
    smiData.SphericalJoint(6).S.Pos.Angle = 114.17694359472752;
    smiData.SphericalJoint(6).S.Pos.Axis = [0.9527680930994693 0.25121843740976557 -0.17065244644304547];
    smiData.SphericalJoint(6).ID = '[Base_Nano_Support-1:-:BrasBas_Nano-6]';
    smiData.SphericalJoint(7).S = struct;
    smiData.SphericalJoint(7).S.Pos = struct;
    smiData.SphericalJoint(7).S.Pos.Angle = 149.59240556543125;
    smiData.SphericalJoint(7).S.Pos.Axis = [0.04741113993959914 0.21391075274129598 0.97570199019540793];
    smiData.SphericalJoint(7).ID = '[Base_Micro_Support-1:-:BrasBas_Micro-1]';
    smiData.SphericalJoint(8).S = struct;
    smiData.SphericalJoint(8).S.Pos = struct;
    smiData.SphericalJoint(8).S.Pos.Angle = 148.25431337039382;
    smiData.SphericalJoint(8).S.Pos.Axis = [0.21299288429679622 0.054335990811403626 0.97554171173839344];
    smiData.SphericalJoint(8).ID = '[Base_Micro_Support-1:-:BrasBas_Micro-2]';
    smiData.SphericalJoint(9).S = struct;
    smiData.SphericalJoint(9).S.Pos = struct;
    smiData.SphericalJoint(9).S.Pos.Angle = 148.81195081634132;
    smiData.SphericalJoint(9).S.Pos.Axis = [-0.20888409855107018 -0.0674796403721311 0.97560951794647566];
    smiData.SphericalJoint(9).ID = '[Base_Micro_Support-1:-:BrasBas_Micro-3]';
    smiData.SphericalJoint(10).S = struct;
    smiData.SphericalJoint(10).S.Pos = struct;
    smiData.SphericalJoint(10).S.Pos.Angle = 148.89721711936238;
    smiData.SphericalJoint(10).S.Pos.Axis = [-0.15240498363683486 0.15792026082646574 0.97561975799137912];
    smiData.SphericalJoint(10).ID = '[Base_Micro_Support-1:-:BrasBas_Micro-4]';
    smiData.SphericalJoint(11).S = struct;
    smiData.SphericalJoint(11).S.Pos = struct;
    smiData.SphericalJoint(11).S.Pos.Angle = 149.78441531186044;
    smiData.SphericalJoint(11).S.Pos.Axis = [0.16121896316289633 -0.14822454609771671 0.9757243103719444];
    smiData.SphericalJoint(11).ID = '[Base_Micro_Support-1:-:BrasBas_Micro-5]';
    smiData.SphericalJoint(12).S = struct;
    smiData.SphericalJoint(12).S.Pos = struct;
    smiData.SphericalJoint(12).S.Pos.Angle = 148.41681535597516;
    smiData.SphericalJoint(12).S.Pos.Axis = [-0.059723634751624163 -0.2114535646158083 0.975561621561305];
    smiData.SphericalJoint(12).ID = '[Base_Micro_Support-1:-:BrasBas_Micro-6]';
    smiData.SphericalJoint(13).S = struct;
    smiData.SphericalJoint(13).S.Pos = struct;
    smiData.SphericalJoint(13).S.Pos.Angle = 121.64679191036994;
    smiData.SphericalJoint(13).S.Pos.Axis = [0.00853333339578894 0.24200739149940523 -0.97023688070533054];
    smiData.SphericalJoint(13).ID = '[BrasHaut_Micro-1:-:Nacelle_Micro_Support-1]';
    smiData.SphericalJoint(14).S = struct;
    smiData.SphericalJoint(14).S.Pos = struct;
    smiData.SphericalJoint(14).S.Pos.Angle = 134.19302267438539;
    smiData.SphericalJoint(14).S.Pos.Axis = [0.033824092383016119 -0.22702286637574942 0.97330187964320891];
    smiData.SphericalJoint(14).ID = '[BrasHaut_Micro-2:-:Nacelle_Micro_Support-1]';
    smiData.SphericalJoint(15).S = struct;
    smiData.SphericalJoint(15).S.Pos = struct;
    smiData.SphericalJoint(15).S.Pos.Angle = 134.74939193336488;
    smiData.SphericalJoint(15).S.Pos.Axis = [-0.019496041631693606 0.228230402682166 0.97341193112280666];
    smiData.SphericalJoint(15).ID = '[BrasHaut_Micro-3:-:Nacelle_Micro_Support-1]';
    smiData.SphericalJoint(16).S = struct;
    smiData.SphericalJoint(16).S.Pos = struct;
    smiData.SphericalJoint(16).S.Pos.Angle = 134.83446645318821;
    smiData.SphericalJoint(16).S.Pos.Axis = [-0.2134988453049915 0.082795102889646019 0.97342858700108459];
    smiData.SphericalJoint(16).ID = '[BrasHaut_Micro-4:-:Nacelle_Micro_Support-1]';
    smiData.SphericalJoint(17).S = struct;
    smiData.SphericalJoint(17).S.Pos = struct;
    smiData.SphericalJoint(17).S.Pos.Angle = 135.71970230784652;
    smiData.SphericalJoint(17).S.Pos.Axis = [0.20751431874167697 -0.095091328901706129 0.973599222824713];
    smiData.SphericalJoint(17).ID = '[BrasHaut_Micro-5:-:Nacelle_Micro_Support-1]';
    smiData.SphericalJoint(18).S = struct;
    smiData.SphericalJoint(18).S.Pos = struct;
    smiData.SphericalJoint(18).S.Pos.Angle = 170.65751408116847;
    smiData.SphericalJoint(18).S.Pos.Axis = [-0.083848022827763449 -0.19486387896130741 -0.97723977494984715];
    smiData.SphericalJoint(18).ID = '[BrasHaut_Micro-6:-:Nacelle_Micro_Support-1]';
    smiData.SphericalJoint(19).S = struct;
    smiData.SphericalJoint(19).S.Pos = struct;
    smiData.SphericalJoint(19).S.Pos.Angle = 80.312343480195224;
    smiData.SphericalJoint(19).S.Pos.Axis = [-0.69119928895661775 0.53055690766996522 0.49066578306373654];
    smiData.SphericalJoint(19).ID = '[BrasHaut_Nano-1:-:Nacelle_Nano_Support-1]';
    smiData.SphericalJoint(20).S = struct;
    smiData.SphericalJoint(20).S.Pos = struct;
    smiData.SphericalJoint(20).S.Pos.Angle = 136.75494832153959;
    smiData.SphericalJoint(20).S.Pos.Axis = [-0.60328418885509139 0.037402386567070747 -0.79664876134752249];
    smiData.SphericalJoint(20).ID = '[BrasHaut_Nano-2:-:Nacelle_Nano_Support-1]';
    smiData.SphericalJoint(21).S = struct;
    smiData.SphericalJoint(21).S.Pos = struct;
    smiData.SphericalJoint(21).S.Pos.Angle = 176.24879117332893;
    smiData.SphericalJoint(21).S.Pos.Axis = [0.022245122037453723 0.5617744233698001 0.82699132510145923];
    smiData.SphericalJoint(21).ID = '[BrasHaut_Nano-3:-:Nacelle_Nano_Support-1]';
    smiData.SphericalJoint(22).S = struct;
    smiData.SphericalJoint(22).S.Pos = struct;
    smiData.SphericalJoint(22).S.Pos.Angle = 80.480743303464124;
    smiData.SphericalJoint(22).S.Pos.Axis = [-0.69157714321155483 0.52757171398746028 0.49334485057379279];
    smiData.SphericalJoint(22).ID = '[BrasHaut_Nano-4:-:Nacelle_Nano_Support-1]';
    smiData.SphericalJoint(23).S = struct;
    smiData.SphericalJoint(23).S.Pos = struct;
    smiData.SphericalJoint(23).S.Pos.Angle = 88.707768375950039;
    smiData.SphericalJoint(23).S.Pos.Axis = [0.0025837488909367223 -0.80377000485162919 0.59493453719084133];
    smiData.SphericalJoint(23).ID = '[BrasHaut_Nano-5:-:Nacelle_Nano_Support-1]';
    smiData.SphericalJoint(24).S = struct;
    smiData.SphericalJoint(24).S.Pos = struct;
    smiData.SphericalJoint(24).S.Pos.Angle = 82.330381298151451;
    smiData.SphericalJoint(24).S.Pos.Axis = [0.77690891930122863 0.35378802664966663 0.52081336706111148];
    smiData.SphericalJoint(24).ID = '[BrasHaut_Nano-6:-:Nacelle_Nano_Support-1]';

    %% Save
    save('./mat/smiData.mat', 'smiData')
end
